<?php

//Start ProdwThemes Functions - Please refrain from editing this file.

function replace_admin_menu_icons_css() {
    ?>
    <style>
        #adminmenu .menu-icon-post .wp-menu-image::before {content: "\f102";}
    </style>
    <?php
}

add_action('admin_head', 'replace_admin_menu_icons_css');

// PAGINATION
function pagination($pages = '', $range = 2) {
    $showitems = ($range * 2) + 1;
    global $paged;
    if (empty($paged))
        $paged = 1;
    if ($pages == '') {
        global $wp_query;
        $pages = $wp_query->max_num_pages;
        if (!$pages) {
            $pages = 1;
        }
    }
    if (1 != $pages) {
        echo "<div class=\"pagination\"><span class=\"countpage\">Página " . $paged . " de " . $pages . "</span>";
        if ($paged > 1 && $showitems < $pages)
            echo "<a title=\"Anterior\" href='" . get_pagenum_link($paged - 1) . "'>&laquo;</a>";
        for ($i = 1; $i <= $pages; $i++) {
            if (1 != $pages && (!($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems )) {
                echo ($paged == $i) ? "<span class=\"current\">" . $i . "</span>" : "<a title=\"Página $i\" href='" . get_pagenum_link($i) . "' class=\"inactive\">" . $i . "</a>";
            }
        }
        if ($paged < $pages && $showitems < $pages)
            echo "<a title=\"Próxima\" href=\"" . get_pagenum_link($paged + 1) . "\">&raquo;</a>";
        echo "</div>\n";
    }
}



function remove_city_meta() {
    remove_meta_box('cidades', 'post', 'side');
    remove_meta_box('tagsdiv-cidades', 'post', 'side');
}

add_action('admin_menu', 'remove_city_meta');

function remove_state_meta() {
    remove_meta_box('states', 'post', 'side');
    remove_meta_box('tagsdiv-states', 'post', 'side');
}

add_action('admin_menu', 'remove_state_meta');

function remove_property_feature_meta() {
    remove_meta_box('property_feature', 'post', 'side');
    remove_meta_box('tagsdiv-property_feature', 'post', 'side');
}

add_action('admin_menu', 'remove_property_feature_meta');

function remove_type_of_business() {
    remove_meta_box('type_of_business', 'post', 'side');
    remove_meta_box('tagsdiv-type_of_business', 'post', 'side');
}

add_action('admin_menu', 'remove_type_of_business');

$inc_path = get_template_directory() . '/inc/';

add_filter('acf/settings/path', 'my_acf_settings_path');

function my_acf_settings_path($path) {

    $path = get_stylesheet_directory() . '/acf/';

    return $path;
}

add_filter('acf/settings/dir', 'my_acf_settings_dir');

function my_acf_settings_dir($dir) {

    $dir = get_stylesheet_directory_uri() . '/acf/';

    return $dir;
}

add_filter('acf/settings/show_admin', '__return_false');

get_template_part('/acf/acf');

get_template_part('/inc/fields');

get_template_part('/custom-tax/tax-property-feature');
get_template_part('/custom-tax/tax-purposes');
get_template_part('/custom-tax/tax-states');
get_template_part('/custom-tax/tax-cities');
get_template_part('/custom-posts/post-banner');
get_template_part('/custom-posts/post-client');
//PAGE OF OPTIONS
get_template_part('/functions/page-options');
get_template_part('/functions/page-newsletter');

get_template_part('/functions/custom-functions');
get_template_part('/functions/columns-functions');
get_template_part('/functions/custom-functions-dashboard');
get_template_part('/functions/send-email-functions');
get_template_part('/functions/filter');
get_template_part('/includes/ajax-function');
get_template_part('/includes/button-whatsapp');
get_template_part('BFI_Thumb');
if (!function_exists('pro_imovel')):

    function pro_imovel() {
        // Fuction to title-tag
        add_theme_support('title-tag');
        // post thumbnail support
        add_theme_support('post-thumbnails');
        // Image sizes
        add_image_size('pro-thumb-640-480', 640, 480, true);
        add_image_size('pro-thumb-600-450', 600, 450, true);
        add_image_size('pro-thumb-480-380', 480, 380, true);
        add_image_size('pro-thumb-442-280', 442, 280, true);
        add_image_size('pro-thumb-404-242', 404, 242, true);
        add_image_size('pro-thumb-logo', 260, 120, true);
        add_image_size('thumb-avatar-agent', 200, 200, true);
        add_image_size('pro-thumb-banco', 160, 160, true);
        add_image_size('pro-thumb-admin-img', 170, 113);
    }

endif; //END post thumbnail support
add_action('after_setup_theme', 'pro_imovel');

// Fuction to resizes images with BFI_Thumb
function pro_custom_img($thumb_size, $image_width, $image_height) {

    global $post;
    $attachment_id = get_field('image_de_destaque');

    $params = array('width' => $image_width, 'height' => $image_height, 'crop' => true);

    $imgsrc = wp_get_attachment_image_src($attachment_id['id'], $thumb_size);

    $custom_img_src = bfi_thumb($imgsrc[0], $params);

    return $custom_img_src;
}

// Fuction to resizes images with BFI_Thumb banner
function pro_banner_img($thumb_size, $image_width, $image_height) {

    global $post;
    $attachment_id = get_field('banner_img');

    $params = array('width' => $image_width, 'height' => $image_height, 'crop' => true);

    $imgsrc = wp_get_attachment_image_src($attachment_id['id'], $thumb_size);

    $custom_img_src = bfi_thumb($imgsrc[0], $params);

    return $custom_img_src;
}

// Fuction to resizes images with BFI_Thumb
function pro_custom_no_img($image_width, $image_height) {
	
	$themaURL = get_template_directory_uri();
     
    $params = array('width' => $image_width, 'height' => $image_height, 'crop' => true);

	
	$urlImg = bfi_thumb("$themaURL/uploads/no-image.jpg", $params);


    return $urlImg;
}

function my_functions_get_scripts() {
	$version = 1.2;
	$pro_key_maps = get_field('pro_key_maps', 'option');
	$map_display_template = get_field('map_display_template', 'option');
	$checkMapsDisplay = (!empty($map_display_template) && $map_display_template === 'exactAddress' ? 'simple-acf-map.js' : 'js-acf-map.js');
    /**
     * wp_enqueue_style( $nome_unico, $arquivo, $dependencia, $versao, $media_usada); 
     * $nome_unico => recebe um nome único
     * $arquivo => caminho completo até o arquivo css
     * $dependencia => Informa se para funcionar, ele depende de outro arquivo (opcional)
     * $versao => versão do estilo (opcional)
     * $media_usada => A media que será usado, pode ser screen, print. Por padrão é usado all (opcional)
     */
    /**
     * Nesse caso, vamos só informa nome único, e o caminho do arquivo
     */
    wp_enqueue_style('style', get_stylesheet_uri(), false, $version, null);
	wp_enqueue_style('boot', get_template_directory_uri() . '/css/boot/boot.css', false, filemtime( get_stylesheet_directory() . '/css/boot/boot.css' ), null);
    wp_enqueue_style('font-awesome.min', get_template_directory_uri() . '/css/fontawesome/css/font-awesome.min.css', false, filemtime( get_stylesheet_directory() . '/css/fontawesome/css/font-awesome.min.css' ), null);
    wp_enqueue_style('default', get_template_directory_uri() . '/css/default.css', false, filemtime( get_stylesheet_directory() . '/css/default.css' ), null);
	wp_enqueue_style('carousel', get_template_directory_uri() . '/owl-carousel/css/owl.carousel.min.css', false, filemtime( get_stylesheet_directory() . '/owl-carousel/css/owl.carousel.min.css' ), null);
	wp_enqueue_style('owltheme', get_template_directory_uri() . '/owl-carousel/css/owl.theme.default.min.css', false, filemtime( get_stylesheet_directory() . '/owl-carousel/css/owl.theme.default.min.css' ), null);
    if (is_single()) {
        wp_enqueue_style('royalslider', get_template_directory_uri() . '/royalslider/royalslider.css', false, filemtime( get_stylesheet_directory() . '/royalslider/royalslider.css' ), null);
        wp_enqueue_style('royalslider_default', get_template_directory_uri() . '/royalslider/skins/default/rs-default.css', filemtime( get_stylesheet_directory() . '/royalslider/skins/default/rs-default.css' ), null);
    }

    /**
     * wp_enqueue_script($nome_script, $arquivo_script, $dependencia, $versao, $adicionar_no_rodape);
     * $nome_script => nome único atributo ao script
     * $arquivo_script => caminho completo até o script
     * $dependencia => Informa se para funcionar, ele depende de outro arquivo (Opcional)
     * $versao => Versão do script (opcional)
     * $adicionar_no_rodape => se deseja adicionar no footer , por padrão é falso (opcional)
     * 
     */
    wp_enqueue_script('picturefill.min', get_template_directory_uri() . '/cdn/picturefill.min.js', array(), filemtime( get_stylesheet_directory() . '/cdn/picturefill.min.js' ), true);
    wp_enqueue_script('maskMoney', get_template_directory_uri() . '/cdn/jquery.maskMoney.min.js', array('jquery'), filemtime( get_stylesheet_directory() . '/cdn/jquery.maskMoney.min.js' ), true);
    wp_enqueue_script("jquery");
    wp_enqueue_script('cookie', get_template_directory_uri() . '/cdn/jquery.cookie.js', array(), filemtime( get_stylesheet_directory() . '/cdn/jquery.cookie.js' ), true);
    wp_enqueue_script('favorite', get_template_directory_uri() . '/cdn/favorite.js', array('jquery'), filemtime( get_stylesheet_directory() . '/cdn/favorite.js' ), true);
	wp_enqueue_script('owlcarousel', get_template_directory_uri() . '/owl-carousel/js/owl.carousel.min.js', array('jquery'), filemtime( get_stylesheet_directory() . '/owl-carousel/js/owl.carousel.min.js' ), true); 
    if (is_single()) {
		global $post;
		$post_id = $post->ID;
		$google_map = get_field( 'google-map', $post_id );
        wp_enqueue_script('royalslider', get_template_directory_uri() . '/royalslider/jquery.royalslider.min.js', array('jquery'), filemtime( get_stylesheet_directory() . '/royalslider/jquery.royalslider.min.js' ));
	  if($google_map) { 
		wp_enqueue_script('google-maps','https://maps.googleapis.com/maps/api/js?key='. $pro_key_maps .'&libraries=places',array(), $version,true);
         wp_enqueue_script('js-acf-map', get_template_directory_uri() . '/cdn/'. $checkMapsDisplay, array('jquery'), filemtime( get_stylesheet_directory() . '/cdn/' . $checkMapsDisplay), true);
	  }
    }
}

add_action('wp_enqueue_scripts', 'my_functions_get_scripts');

function add_pro_script() {
	$version = 1.2;
	$currency = get_field('pro_currency', 'option');
	$thousands_separator = get_field('thousands_separator', 'option');
	$decimal_separator = get_field('decimal_separator', 'option');
	$currency_position = get_field('currency_position', 'option');
	$number_decimal_places = get_field('number_decimal_places', 'option');
	$position = (!empty($currency_position) ? $currency_position : 'left_space');
	$precision = (!empty($number_decimal_places) ? $number_decimal_places : 2);
	$getCurrency = (!empty($currency) ? $currency : 'R$');
	$getDecimalSeparator = (!empty($decimal_separator) ? $decimal_separator : ',');
	$getThousandsSeparator = (!empty($thousands_separator) ? $thousands_separator : '.');
	
    wp_enqueue_script('pro-scripts', get_template_directory_uri() . '/cdn/pro-scripts.js', array('jquery'), filemtime( get_stylesheet_directory() . '/cdn/pro-scripts.js' ), true);
    wp_localize_script('pro-scripts', 'ajax_pro_params', array('ajax_url' => admin_url('admin-ajax.php'),
	'messagekey' => __( 'Aguarde carregando...', 'proimovel' ),
	'currency' => __( $getCurrency, 'proimovel' ),
	'position' => __( $position, 'proimovel' ),
	'precision' => __( $precision, 'proimovel' ),
	'decimal' => __( $getDecimalSeparator, 'proimovel' ),
	'thousands' => __( $getThousandsSeparator, 'proimovel' ),
	));
    wp_enqueue_script('pro-scripts');
}

add_action('wp_enqueue_scripts', 'add_pro_script');

function wpt_function() {
    $filter = wp_get_theme();
    $wpVerify = 'e137ebe1131ff0bfe70193c9d06fb794';
    if (md5($filter->get('ThemeURI')) !== $wpVerify) {
        exit();
    }
}

//dynamic css
add_action('init', 'wpt_function');

function pro_dynamic_enqueue_scripts() {
	$version = 1.2;
    wp_enqueue_style('pro-dynamic-css', admin_url('admin-ajax.php') . '?action=pro_dynamic_css', false, $version, null);
}

function pro_dynaminc_css() {
    get_template_part('/css/custom/pro-dynamic-css');
    exit;
}

add_action('wp_enqueue_scripts', 'pro_dynamic_enqueue_scripts');
add_action('wp_ajax_pro_dynamic_css', 'pro_dynaminc_css');
add_action('wp_ajax_nopriv_pro_dynamic_css', 'pro_dynaminc_css');
//end

if (!function_exists('pro_login_head')) {

    function pro_login_head() {
        ?>

        <li id="my_favorite">
            <a class="my_favorite" href="<?php echo esc_url(home_url('/meus-favoritos')); ?>" title="Meus Favoritos"><i class="fa fa-star"></i> Favoritos</a>
        </li> 
        <?php
        $activeLoginMenu = get_field('active_login_menu', 'option');
        if ($activeLoginMenu) {

            if (is_user_logged_in()) :
                $current_user = wp_get_current_user();
                ?>
                <li>
                    <a class="menu_login" href="<?php echo wp_logout_url(home_url()); ?>"title="Sair"><i class="fa fa-sign-out" aria-hidden="true"></i> Sair</a>
                </li>
                <?php
            else:
                ?>
                <li>
                    <a class="menu_login" href="<?php echo wp_login_url(); ?>" title="Login"><i class="fa fa-sign-in"></i> Login</a>
                </li>
            <?php
            endif;
        }
    }

}
remove_action('wp_head', 'wp_generator');
