<?php

//Start Property
add_filter('manage_post_posts_columns', 'set_custom_edit_property_columns', 10);
add_action('manage_post_posts_custom_column', 'custom_property_column', 10, 2);

function set_custom_edit_property_columns($columns) {
    unset($columns['comments']);
    unset($columns['tags']);
    $columns = array(
        'cb' => '<input type="checkbox" />',
        'title' => 'Título',
        'image_de_destaque' => 'Imagem do Imóvel',
        'categories' => 'Categorias',
        'code_id_property' => 'Código',
        'cidades' => 'Cidade',
        'author' => 'Autor(a)',
        'post_views' => 'Visualizações',
        'date' => 'Data',
    );

    return $columns;
}

function custom_property_column($column, $post_id) {
    ?>
    <style>
        .img_column{ border:none; width:100%; max-width:170px; height:auto;}
    </style>

    <?php
    $themaURL_img = get_template_directory_uri();
    $imgAdm = array('width' => 170, 'height' => 113, 'crop' => true);
    $urlImgAdm = bfi_thumb("$themaURL_img/uploads/no-image.jpg", $imgAdm);
    switch ($column) {

        case 'image_de_destaque' :
            $getIDimg = get_post_meta($post_id, 'image_de_destaque', true);
            $post_thumbnail_img = wp_get_attachment_image_src($getIDimg, 'pro-thumb-admin-img');
            if ($post_thumbnail_img)
                echo '<img class="img_column" src="' . $post_thumbnail_img[0] . '" />';
            else
                echo '<img class="img_column" src="' . $urlImgAdm . '" />';

            break;

        case 'cidades' :
            $terms = get_the_term_list($post_id, 'cidades', '', ',', '');
            $terms = strip_tags($terms);
            if (is_string($terms))
                echo $terms;
            else
                _e('Nenhuma Cidade', 'proimovel');
            break;

        case 'code_id_property' :

            $codeProperty = get_post_meta($post_id, 'code_id_property', true);
            if ($codeProperty)
                echo $codeProperty;
            else
                _e('Nenhum Código', 'proimovel');
            break;

        case 'post_views' :

            $post_views_count = get_post_meta($post_id, 'pro_post_views_count', true);
            if ($post_views_count == 1) {
                _e('1 Visualização');
            } elseif ($post_views_count > 1) {
                _e($post_views_count . ' Visualizações');
            } else {
                _e('0', 'proimovel');
            }
            break;
    }
}

/* -------------------------------------------------------------------------------
  Sortable Columns
  ------------------------------------------------------------------------------- */

function pro_column_register_sortable($columns) {
    $columns['cidades'] = 'Cidade';
    $columns['categories'] = 'Categorias';
    $columns['property_agent'] = 'Corretor(a)';
    return $columns;
}

add_filter("manage_edit-post_sortable_columns", "pro_column_register_sortable");

add_filter('manage_agent_posts_columns', 'set_custom_edit_agent_columns', 10);
add_action('manage_agent_posts_custom_column', 'custom_agent_column', 10, 2);

function set_custom_edit_agent_columns($columns) {
    $columns = array(
        'cb' => '<input type="checkbox" />',
        'title' => 'Nome',
        'foto_do_corretor' => 'Foto',
        'author' => 'Autor',
        'date' => 'Data'
    );

    return $columns;
}

function custom_agent_column($column, $post_id) {
    ?>
    <style>
        .img_column_agent{ border:none; width:100%; max-width:80px; height:auto;}
    </style>

    <?php

    $themaURL_avatar = get_template_directory_uri();
    $avatar_200 = array('width' => 80, 'height' => 80, 'crop' => true);
    $urlImg200 = bfi_thumb("$themaURL_avatar/uploads/avatar-corretor.jpg", $avatar_200);
    switch ($column) {

        case 'foto_do_corretor' :
            $getIDimg = get_post_meta($post_id, 'foto_do_corretor', true);
            $post_thumbnail_img = wp_get_attachment_image_src($getIDimg, array(80, 80));
            if ($post_thumbnail_img)
                echo '<img class="img_column_agent" src="' . $post_thumbnail_img[0] . '" />';
            else
                echo '<img class="img_column_agent" src="' . $urlImg200 . '" />';

            break;
    }
}

function pro_custom_pages_columns($columns) {

    /** Remove Comments Columns * */
    unset(
            $columns['comments']
    );

    return $columns;
}

add_filter('manage_pages_columns', 'pro_custom_pages_columns');
