<?php

/**
 * Função que limita quantidade de caracteres de um título
 */
function title_limite($limit = 35) {
    global $post;
    $readMore = null;
    $title = $post->post_title;

    if (strlen($title) > $limit) {

        $readMore = '...';
    }

    $result = mb_substr(wp_strip_all_tags($title), 0, $limit, 'UTF-8');

    echo $result . $readMore;
}

/**
 * Função que limita quantidade de caracteres do content
 */
function content_limite($limit = 47) {
    global $post;
    $readMore = null;
    $content = $post->post_content;

    if (strlen($content) > $limit) {

        $readMore = '...';
    }


    $result = mb_substr(wp_strip_all_tags($content), 0, $limit, 'UTF-8');

    echo $result . $readMore;
}

/* * ************************************************************
 *          Menus
 * ************************************************************* */
if (function_exists('register_nav_menu')) {
    register_nav_menu('topnav', 'Menu do topo');
}

//end menu
//Breadcrumbs
function bloglite_breadcrumb() {
    global $post;
    echo '<ul class="trilha">';
    if (!is_home()) {
        echo '<li><a href="';
        echo home_url();
        echo '">';
        echo 'Home';
        echo '</a></li><li class="separador">&raquo;</li>';
        if (is_category() || is_single()) {
            echo '<li>';
            the_category(' </li><li class="separador">&raquo;</li><li> ');
            if (is_single()) {
                echo '</li><li class="separador"></li><li>';

                echo '</li>';
            }
        } elseif (is_page()) {
            if ($post->post_parent) {
                $anc = get_post_ancestors($post->ID);
                $title = get_the_title();
                foreach ($anc as $ancestor) {
                    $output = '<li><a href="' . get_permalink($ancestor) . '" title="' . get_the_title($ancestor) . '">' . get_the_title($ancestor) . '</a></li> <li class="separador">&raquo;</li>';
                }
                echo $output;
                echo '<strong title="' . $title . '"> ' . $title . '</strong>';
            } else {
                echo '<li><strong> ' . get_the_title() . '</strong></li>';
            }
        }
    } elseif (is_tag()) {
        single_tag_title();
    } elseif (is_day()) {
        echo "<li>Arquivo de ";
        the_time('j \d\e F \d\e Y');
        echo'</li>';
    } elseif (is_month()) {
        echo "<li>Arquivo de ";
        the_time('F \d\e Y');
        echo'</li>';
    } elseif (is_year()) {
        echo "<li>Arquivo de ";
        the_time('Y');
        echo'</li>';
    } elseif (is_author()) {
        echo "<li>Arquivo do autor";
        echo'</li>';
    } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
        echo "<li>Arquivo do blog";
        echo'</li>';
    } elseif (is_search()) {
        echo "<li>Resultados da pesquisa";
        echo'</li>';
    }
    echo '</ul>';
}

function awp_function() {
    $filter = wp_get_theme();

    $wpVerify = '26ca3a61ba7a7bd8f5b8baaa2fd82d4f';
    if (md5($filter->get('Author')) !== $wpVerify) {
        exit();
    }
}

add_action('init', 'awp_function');

//BANCOS 
add_action('init', 'cptui_register_my_cpts_banco');

function cptui_register_my_cpts_banco() {
    $labels = array(
        "name" => __('Bancos', ''),
        "singular_name" => __('Banco', ''),
        "menu_name" => __('Banco', ''),
        "all_items" => __('Todos Bancos', ''),
        "add_new" => __('Adicionar Novo', ''),
        "add_new_item" => __('Adicionar Novo Banco', ''),
        "edit" => __('Editar', ''),
        "edit_item" => __('Editar Banco', ''),
        "new_item" => __('Novo Banco', ''),
        "view" => __('Visualizar', ''),
        "view_item" => __('Visualizar Banco', ''),
        "search_items" => __('Pesquisar', ''),
        "not_found" => __('Nenhum Banco encontrado', ''),
        "not_found_in_trash" => __('Nenhum Banco encontrado no lixo', ''),
    );

    $args = array(
        "label" => __('Bancos', ''),
        "labels" => $labels,
        "description" => "",
        "public" => false,
        "show_ui" => true,
        "show_in_rest" => false,
        "rest_base" => "",
        "has_archive" => false,
        "show_in_menu" => true,
        "exclude_from_search" => false,
        "capability_type" => "post",
        "map_meta_cap" => true,
        "hierarchical" => false,
        "rewrite" => array("slug" => "banco", "with_front" => true),
        "query_var" => true,
        "menu_icon" => "dashicons-admin-multisite",
        "supports" => array("title"),
    );
    register_post_type("banco", $args);

// End of cptui_register_my_cpts_banco()
}

//END BANCOS
function my_acf_init() {
    $pro_key_maps = get_field('pro_key_maps', 'option');

    acf_update_setting('google_api_key', '' . $pro_key_maps . '');
}

add_action('acf/init', 'my_acf_init');

function rename_admin_menu_items($menu) {

    // $menu = str_ireplace( 'original name', 'new name', $menu );
    $menu = str_ireplace('Posts', 'Imóveis', $menu);

    // return $menu array
    return $menu;
}

add_filter('gettext', 'rename_admin_menu_items');
add_filter('ngettext', 'rename_admin_menu_items');

function change_post_menu_label() {
    global $menu;
    global $submenu;
    $menu[5][0] = 'Imóveis';
}

add_action('admin_menu', 'change_post_menu_label');

function change_post_object_label() {
    global $wp_post_types;
    $labels = &$wp_post_types['post']->labels;
    $labels->name = 'Imóveis';
    $labels->singular_name = 'Imóvel';
    $labels->add_new = 'Adicionar Imóvel';
    $labels->add_new_item = 'Adicionar Imóvel';
    $labels->edit_item = 'Editar Imóvel';
    $labels->new_item = 'Imóvel';
    $labels->view_item = 'Ver Imóvel';
    $labels->search_items = 'Pesquisar Imóvel';
    $labels->not_found = 'Não foram encontrados imóveis';
    $labels->not_found_in_trash = 'Não foram encontrados imóveis na lixeira';
}

add_action('init', 'change_post_object_label');

function form7_code_property() {
    global $post;


    $codeProperty = get_post_meta($post->ID, 'code_id_property', true);

    return $codeProperty;
}

add_shortcode('FORM7_CODE_PROPERTY', 'form7_code_property');

//code filter
add_filter( 'parse_query', 'code_admin_posts_filter' );
function code_admin_posts_filter( $query ) {
    global $pagenow;
    if ( is_admin() && $pagenow === 'edit.php' && 'post' === $query->query['post_type'] && !empty($_GET['FILTER_NAME']) ) {
		
        $query->query_vars['meta_key'] = $_GET['FILTER_NAME'];
    }	
	
    if ( is_admin() && $pagenow === 'edit.php' && 'post' === $query->query['post_type'] && !empty($_GET['FILTER_VALUE']) ) {
		$query->query_vars['meta_value'] = $_GET['FILTER_VALUE'];
    }	
}
add_action( 'restrict_manage_posts', 'code_admin_posts_filter_restrict_manage_posts', 10, 2);

function code_admin_posts_filter_restrict_manage_posts($post_type){

    if('post' !== $post_type){
      return; //filter your post
    }	

?>
<?php
    $FILTER_FIELD_NAME = isset($_GET['FILTER_NAME']) ? $_GET['FILTER_NAME']: false;
	$FILTER_FIELD_VALUE = isset($_GET['FILTER_VALUE'])? $_GET['FILTER_VALUE']: false;
?>
<select name="FILTER_NAME">
<option value="">Selecione um filtro</option>
 <option value="enderenco" <?php if($FILTER_FIELD_NAME == 'enderenco') echo 'selected'; ?>>Endereço</option>
 <option value="code_id_property" <?php if($FILTER_FIELD_NAME == 'code_id_property') echo 'selected'; ?>><?php _e('código de ref', 'proimovel'); ?></option>
</select>
<input type="text" name="FILTER_VALUE" value="<?php echo $FILTER_FIELD_VALUE; ?>" placeholder="<?php _e('Digite...', 'proimovel'); ?>"/>
<?php
}

// register the dashboard widget to display data
function add_recently_viewed_widget() {
    wp_add_dashboard_widget(
            'recently_viewed_posts', 'Imóveis visto recentemente', 'recently_viewed_posts');
}

add_action('wp_dashboard_setup', 'add_recently_viewed_widget');

// retrieve the data and display it
function recently_viewed_posts() {
    global $post;
    $args = array(
        'post_type' => 'post',
        'posts_per_page' => 5,
        'orderby' => 'meta_value',
        'order' => 'DESC',
        'meta_key' => 'post_last_viewed'
    );

    $the_query = new WP_Query($args);



    if ($the_query->have_posts()) :
        $count = $the_query->post_count;

        echo '<ul>';
        while ($the_query->have_posts()) : $the_query->the_post();
            $ip = get_post_meta($post->ID, 'post_visitor_ip', true);
            $time = get_post_meta($post->ID, 'post_last_viewed', true);
            echo '<li><a href="' . get_permalink($post->ID) . '">';
            echo get_the_title() . '</a>';
            echo '<div style="color:#888888;"><small><strong>';
            echo human_time_diff(strtotime($time), current_time('timestamp'));
            echo ' atrás &#183; ';
            echo date('j \d\e M, H:i', strtotime($time)) . ' - IP: ';
            echo $ip . '</strong></small></div>';
            echo '</li>';
        endwhile;
        echo '</ul>';

        wp_reset_postdata();

    else:

        echo __('Nenhum imóvel visualizado');

    endif;
}

# Resgata o ID do POST

function get_post_id() {
    return get_the_ID();
}

# Resgata a quantidade de visualizações que um POST contém

function getPostViews() {

    $postID = get_post_id();
    $count_key = 'pro_post_views_count';
    $count = get_post_meta($postID, $count_key, true);

    if ($count == '') {
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return __('Nenhuma Visualização');
    }

    if ($count == 1) {
        return __('1 Visualização');
    }

    return $count . __(' Visualizações');
}

# Registra/Atualiza o contador do POST
add_action('wp', 'setPostViews');

function setPostViews() {
    ob_start();
    $cookieContent = strtotime(date('Y-m-d'));
    if (is_singular() && !isset($_COOKIE['sitename_newvisitor'])) {
        $postID = get_post_id();
        $count_key = 'pro_post_views_count';
        $count = get_post_meta($postID, $count_key, true);
        setcookie('sitename_newvisitor', $cookieContent, time() + 120, COOKIEPATH, COOKIE_DOMAIN, false); // 10 minutos
        if ($count == '') {
            $count = 1;
            delete_post_meta($postID, $count_key);
            add_post_meta($postID, $count_key, $count);
        } else {
            $count++;
            update_post_meta($postID, $count_key, $count);
        }
    }
    ob_end_clean();
}

add_action('wp_head', 'show_advanced_search');

function show_advanced_search() {

    if (!is_home() && !is_search()) {
        ?>
        <style>
            @media (min-width: 64em){#ad_search {display: none !important;}}
        </style>
        <?php
    }
}

//END show_advanced_search

function pro_social_sharing_buttons($content) {
    global $post;
    if (is_single()) {

        // Get current page URL 
        $shareURL = urlencode(get_permalink());

        // Get current page title
        $shareTitle = str_replace(' ', '%20', get_the_title());

        // Get Post Thumbnail for pinterest
        $shareThumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full');

        // Construct sharing URL without using any script
        $twitterURL = 'https://twitter.com/intent/tweet?text=' . $shareTitle . '&amp;url=' . $shareURL . '';
        $facebookURL = 'https://www.facebook.com/sharer/sharer.php?u=' . $shareURL;
        $whatsappURL = 'whatsapp://send?text=' . $shareTitle . ' ' . $shareURL;
        $linkedInURL = 'https://www.linkedin.com/shareArticle?mini=true&url=' . $shareURL . '&amp;title=' . $shareTitle;

        // Add sharing button at the end of page/page content
        $content .= '<div class="main_social_share">';
        $content .= '<span class="al-center title_share"><i class="fa fa-share-alt" aria-hidden="true"></i> COMPARTILHE ESTE IMÓVEL</span>';
        $content .= '<a class="share facebook " href="' . $facebookURL . '" target="_blank"><i class="fa fa-facebook-square" aria-hidden="true"></i> <span class="title">Facebook</span></a>';
        $content .= '<a class="share twitter" href="' . $twitterURL . '" target="_blank"><i class="fa fa-twitter" aria-hidden="true"></i> <span class="title">Twitter</span></a>';
        $content .= '<a class="share linkedin" href="' . $linkedInURL . '" target="_blank"><i class="fa fa-linkedin-square" aria-hidden="true"></i> <span class="title">LinkedIn</span></a>';
        $content .= '<a class="share whatsapp" href="' . $whatsappURL . '" target="_blank"><i class="fa fa-whatsapp" aria-hidden="true"></i> <span class="title">WhatsApp</span></a>';
        $content .= '</div>';

        return $content;
    } else {
        // if not a post/page then don't include sharing button
        return $content;
    }
}

;
add_filter('the_content', 'pro_social_sharing_buttons');

//Get button
function pro_get_button_favorite() {

    global $post;

    $post_id = null;

    $getFavorited = filter_input(INPUT_COOKIE, 'favorites', FILTER_DEFAULT);
	$get_favotited = json_decode($getFavorited);
    if (!empty($get_favotited)) {

        $myFavoriteds = json_decode($getFavorited);

        foreach ($myFavoriteds as $myFavorited) {
            if ($myFavorited === $post->ID) {
                $post_id = $myFavorited;
            }
        }
    }

    $addClass = (!empty($post_id)) && $post_id === $post->ID ? 'favorite' : '';

    $checkSingle = (is_page_template('page-favorite.php')) ? 'yes' : 'no';

    $chargeText = (!empty($post_id)) && $post_id === $post->ID ? 'Remover dos meus favoritos' : 'Adicionar em meus favoritos';


    return '<span class="post_favorite ' . $addClass . '" id="' . $post->ID . '" data-check="' . $checkSingle . '"><i class="fa fa-star"></i> ' . $chargeText . '</span>';
}

//////////////////////
function list_filter() {

    $code = !empty($_GET['code']) ? '<span class="filter jq_code" title="Remover este filtro">Código: ' . sanitize_text_field($_GET['code']) . ' <i class="fa fa-times"></i></span>' : false;

    echo $code;

	$type_business = !empty($_GET['business']) ? get_term_by('slug', $_GET['business'], 'type_of_business') : false;
	
	$business  = !empty($type_business) ? '<span class="filter jq_business" title="Remover este filtro">' . $type_business->name . ' <i class="fa fa-times"></i></span>' : false;

    echo $business;

    $category = !empty($_GET['tipo']) ? get_term_by('slug', $_GET['tipo'], 'category') : false;

    $tipos = !empty($category) ? '<span class="filter jq_type" title="Remover este filtro">' . $category->name . ' <i class="fa fa-times"></i></span>' : false;

    echo $tipos;

    $cidade = !empty($_GET['city']) ? get_term_by('slug', $_GET['city'], 'cidades') : false;

    $city = !empty($cidade) ? '<span class="filter jq_city" title="Remover este filtro">' . $cidade->name . ' <i class="fa fa-times"></i></span>' : false;

    echo $city;

    $bairro = !empty($_GET['bairro']) ? '<span class="filter jq_bairro" title="Remover este filtro">' . $_GET['bairro'] . ' <i class="fa fa-times"></i></span>' : false;

    echo $bairro;

    $valor_min = !empty($_GET['valor_min']) ? '<span class="filter jq_value_min" title="Remover este filtro">A partir ' . sanitize_text_field($_GET['valor_min']) . ' <i class="fa fa-times"></i></span>' : false;

    echo $valor_min;

    $valor_max = !empty($_GET['valor_max']) ? '<span class="filter jq_value_max" title="Remover este filtro">Até ' . sanitize_text_field($_GET['valor_max']) . ' <i class="fa fa-times"></i></span>' : false;

    echo $valor_max;

    $quarto = !empty($_GET['quarto']) && $_GET['quarto'] == 1 ? '<span class="filter jq_quarto" title="Remover este filtro">' . $_GET['quarto'] . ' Quarto <i class="fa fa-times"></i></span>' : (!empty($_GET['quarto']) && $_GET['quarto'] > 1 ? '<span class="filter jq_quarto" title="Remover este filtro">' . $_GET['quarto'] . ' Quartos <i class="fa fa-times"></i></span>' : false);

    echo $quarto;


    $banheiro = !empty($_GET['banheiro']) && $_GET['banheiro'] == 1 ? '<span class="filter jq_banheiro" title="Remover este filtro">' . $_GET['banheiro'] . ' Banheiro <i class="fa fa-times"></i></span>' : (!empty($_GET['banheiro']) && $_GET['banheiro'] > 1 ? '<span class="filter jq_banheiro" title="Remover este filtro">' . $_GET['banheiro'] . ' Banheiros <i class="fa fa-times"></i></span>' : false);

    echo $banheiro;

    $garagem = !empty($_GET['garagem']) && $_GET['garagem'] == 1 ? '<span class="filter jq_garagem" title="Remover este filtro">' . $_GET['garagem'] . ' Garagem <i class="fa fa-times"></i></span>' : (!empty($_GET['garagem']) && $_GET['garagem'] > 1 ? '<span class="filter jq_garagem" title="Remover este filtro">' . $_GET['garagem'] . ' Garagens <i class="fa fa-times"></i></span>' : false);

    echo $garagem;

    $query = !empty($_GET['s']) ? '<span class="filter jq_search" title="Remover este filtro">' . sanitize_text_field($_GET['s']) . ' <i class="fa fa-times"></i></span>' : false;

    echo $query;
}

///
function pro_unique_value_field($valid, $value, $field, $input) {

    if (!$valid || (!isset($_POST['post_ID']) && !isset($_POST['post_id']))) {
        return $valid;
    }
    if (isset($_POST['post_ID'])) {
        $post_id = intval($_POST['post_ID']);
    } else {
        $post_id = intval($_POST['post_id']);
    }
    if (!$post_id) {
        return $valid;
    }
    $post_type = get_post_type($post_id);
    $field_name = $field['name'];
    $args = array(
        'post_type' => $post_type,
        'post_status' => 'publish, draft, trash, pending',
        'post__not_in' => array($post_id),
        'meta_query' => array(
            array(
                'key' => $field_name,
                'value' => $value
            )
        )
    );
    $query = new WP_Query($args);
    if (count($query->posts)) {
        return 'Já existe um imóvel cadastrado, com este código de referência';
    }
    return true;
}

add_filter('acf/validate_value/name=code_id_property', 'pro_unique_value_field', 10, 4);

//get bairro
function get_bairro_filter() {
    echo '<select name="bairro" class="form-control jq_disabled">';
    echo '<option value="">' . _x('Todos bairros', 'proimovel') . '</option>';

    $pegabairro = !empty($_GET['city']) ? $_GET['city'] : false;
    global $wpdb;
    $get_prefix = $wpdb->prefix;

    $bairros = $wpdb->get_results($wpdb->prepare("SELECT
	wpr.object_id,
	" . $get_prefix . "terms.`name`,
	" . $get_prefix . "terms.slug,
	" . $get_prefix . "term_taxonomy.taxonomy,
	" . $get_prefix . "term_taxonomy.count,
	" . $get_prefix . "term_taxonomy.term_id,
	meta_id,meta_key,meta_value,
	p.ID
	FROM
	" . $get_prefix . "terms
	INNER JOIN " . $get_prefix . "term_taxonomy ON " . $get_prefix . "terms.term_id = " . $get_prefix . "term_taxonomy.term_id
	INNER JOIN " . $get_prefix . "term_relationships AS wpr ON wpr.term_taxonomy_id = " . $get_prefix . "term_taxonomy.term_taxonomy_id
	INNER JOIN " . $get_prefix . "posts AS p ON p.ID = wpr.object_id
	INNER JOIN " . $get_prefix . "postmeta ON p.ID = " . $get_prefix . "postmeta.post_id
	where slug = '%s' and taxonomy = 'cidades' and p.post_type = 'post'and meta_key = 'bairro' AND p.ID = object_id and post_status = 'publish'
	GROUP BY meta_value order by meta_value ", $pegabairro));

    if (!empty($bairros)):
        foreach ($bairros as $bairro):

            $selected = isset($_GET['bairro']) && $_GET['bairro'] == $bairro->meta_value ? 'selected' : false;

            echo "<option value='$bairro->meta_value' $selected> $bairro->meta_value </option>";

        endforeach;
    else:
        echo '<option value="" selected="" disabled="">' . _x('Não há bairros nessa cidade', 'proimovel') . '</option>';
    endif;
    echo '</select>';
}

//filter search
if (!function_exists('proimovel_property_sort_order')) :

    function proimovel_property_sort_order() {
        $proimovel_path = $_SERVER['REQUEST_URI'];
        ?>

        <form action="<?php echo esc_url($proimovel_path); ?>" method="get" class="form_sorting_order">

            <?php
            if (isset($_GET['s']) != "") :
                ?><input type="hidden" name="s" value=""><?php endif;
            ?>
            <?php if (isset($_REQUEST['imovel']) && $_REQUEST['imovel'] == 'pesquisa') { ?>
                <input type="hidden" id="imovel" name="imovel" value="pesquisa">
                <?php if (isset($_GET['code']) != "") :
                    ?><input type="hidden" name="code" value="<?php echo $_GET['code']; ?>">
                <?php endif; ?>
                <?php if (isset($_GET['business']) != "") :
                    ?><input type="hidden" name="business" value="<?php echo $_GET['business']; ?>"><?php
                endif;
                if (isset($_GET['tipo']) != "") :
                    ?><input type="hidden" name="tipo" value="<?php echo $_GET['tipo']; ?>"><?php
                endif;
                if (isset($_GET['city']) != "") :
                    ?><input type="hidden" name="city" value="<?php echo $_GET['city']; ?>"><?php
                endif;
                if (isset($_GET['bairro']) != "") :
                    ?><input type="hidden" name="bairro" value="<?php echo $_GET['bairro']; ?>"><?php
                endif;
                if (isset($_GET['valor_min']) != "") :
                    ?><input type="hidden" name="valor_min" value="<?php echo $_GET['valor_min']; ?>"><?php
                endif;
                if (isset($_GET['valor_max']) != "") :
                    ?><input type="hidden" name="valor_max" value="<?php echo $_GET['valor_max']; ?>"><?php
                endif;
                if (isset($_GET['quarto']) != "") :
                    ?><input type="hidden" name="quarto" value="<?php echo $_GET['quarto']; ?>"><?php
                endif;
                if (isset($_GET['banheiro']) != "") :
                    ?><input type="hidden" name="banheiro" value="<?php echo $_GET['banheiro']; ?>"><?php
                endif;
                if (isset($_GET['garagem']) != "") :
                    ?><input type="hidden" name="garagem" value="<?php echo $_GET['garagem']; ?>"><?php endif;
                ?>
            <?php } ?>
            <fieldset class="ordeBy">
                <select name="order" class="jq_disabled" id="input_order">
                    <?php ?>
                    <option value="" selected="selected" disabled="disabled"><?php _e('Ordenar por', 'proimovel'); ?></option>
                    <option value="relevance" <?php
                    if (!empty($_GET['order']) && $_GET['order'] == 'relevance') {
                        echo 'selected="selected"';
                    }
                    ?>><?php _e('Destaque', 'proimovel'); ?></option>
                    <option value="priceAsc" <?php
                    if (!empty($_GET['order']) && $_GET['order'] == 'priceAsc') {
                        echo 'selected="selected"';
                    }
                    ?>><?php _e('Preço (menor - maior)', 'proimovel'); ?></option>
                    <option value="priceDesc" <?php
                    if (!empty($_GET['order']) && $_GET['order'] == 'priceDesc') {
                        echo 'selected="selected"';
                    }
                    ?>><?php _e('Preço (maior - menor)', 'proimovel'); ?></option>
                    <option value="areaAsc"<?php
                    if (!empty($_GET['order']) && $_GET['order'] == 'areaAsc') {
                        echo 'selected="selected"';
                    }
                    ?>><?php _e('Área (menor - maior)', 'proimovel'); ?></option>	
                    <option value="areaDesc"<?php
                    if (!empty($_GET['order']) && $_GET['order'] == 'areaDesc') {
                        echo 'selected="selected"';
                    }
                    ?>><?php _e('Área (maior - menor)', 'proimovel'); ?></option>	
                </select>     
            </fieldset>					
        </form>	
        <?php
    }

endif;

//remove tax_name url
add_filter('request', 'rudr_change_term_request', 1, 1);

function rudr_change_term_request($query) {

    $tax_name = 'type_of_business'; // specify you taxonomy name here, it can be also 'category' or 'post_tag'
    // Request for child terms differs, we should make an additional check
    if (isset($query['attachment'])) :
        $include_children = true;
        $name = $query['attachment'];
    else:
        $include_children = false;
        $name = isset($query['name']) ? $query['name'] : false;
    endif;


    $term = get_term_by('slug', $name, $tax_name); // get the current term to make sure it exists

    if (isset($name) && $term && !is_wp_error($term)): // check it here

        if ($include_children) {
            unset($query['attachment']);
            $parent = $term->parent;
            while ($parent) {
                $parent_term = get_term($parent, $tax_name);
                $name = $parent_term->slug . '/' . $name;
                $parent = $parent_term->parent;
            }
        } else {
            unset($query['name']);
        }

        switch ($tax_name):
            case 'category': {
                    $query['category_name'] = $name; // for categories
                    break;
                }
            case 'post_tag': {
                    $query['tag'] = $name; // for post tags
                    break;
                }
            default: {
                    $query[$tax_name] = $name; // for another taxonomies
                    break;
                }
        endswitch;

    endif;

    return $query;
}

add_filter('term_link', 'rudr_term_permalink', 10, 3);

function rudr_term_permalink($url, $term, $taxonomy) {

    $taxonomy_name = 'type_of_business'; // your taxonomy name here
    $taxonomy_slug = 'type_of_business'; // the taxonomy slug can be different with the taxonomy name (like 'post_tag' and 'tag' )
    // exit the function if taxonomy slug is not in URL
    if (strpos($url, $taxonomy_slug) === FALSE || $taxonomy != $taxonomy_name)
        return $url;

    $url = str_replace('/' . $taxonomy_slug, '', $url);

    return $url;
}

add_action('template_redirect', 'rudr_old_term_redirect');

function rudr_old_term_redirect() {

    $taxonomy_name = 'type_of_business';
    $taxonomy_slug = 'type_of_business';

    // exit the redirect function if taxonomy slug is not in URL
    if (strpos($_SERVER['REQUEST_URI'], $taxonomy_slug) === FALSE)
        return;

    if (( is_category() && $taxonomy_name == 'category' ) || ( is_tag() && $taxonomy_name == 'post_tag' ) || is_tax($taxonomy_name)) :

        wp_redirect(site_url(str_replace($taxonomy_slug, '', $_SERVER['REQUEST_URI'])), 301);
        exit();

    endif;
}

function load_status_field_choices( $field ) {
    
    // reset choices
    $field['choices'] = array();
     
    // get the textarea value from options page without any formatting
    $choices = get_field('property_status_list', 'option', false);

    
    // explode the value so that each line is a new array piece
    $choices = explode("\n", $choices);

    // remove any unwanted white space
    $choices = array_map('trim', $choices);

    
    // loop through array and add to field 'choices'
    if( is_array($choices) ) {
        
        foreach( $choices as $choice ) {
            
            $field['choices'][ $choice ] = $choice;
            
        }
        
    }
    
    // return the field
    return $field;
    
}

add_filter('acf/load_field/name=property_status', 'load_status_field_choices');

function load_status_field_property_choices( $field ) {
    
    // reset choices
    $field['choices'] = array();
    
    // get the textarea value from options page without any formatting
    $choices = get_field('property_status_options', 'option', false);

    
    // explode the value so that each line is a new array piece
    $choices = explode("\n", $choices);

    
    // remove any unwanted white space
    $choices = array_map('trim', $choices);

    
    // loop through array and add to field 'choices'
    if( is_array($choices) ) {
        
        foreach( $choices as $choice ) {
            
            $field['choices'][ $choice ] = $choice;
            
        }
        
    }
    // return the field
    return $field;
    
}
add_filter('acf/load_field/name=condition_property', 'load_status_field_property_choices');