<?php

add_action('wpcf7_init', 'custom_mensagem_code');

function custom_mensagem_code() {
    wpcf7_add_form_tag('custom_mensagem_code', 'custom_mensagem_code_shortcode_handler');
}

function custom_mensagem_code_shortcode_handler($tag) {
    global $post;
    $args = array('post_type' => 'post');
    $myposts = get_posts($args);
    $codeProperty = get_post_meta($post->ID, 'code_id_property', true);
    $output = '<textarea name="custom_message" class="msg"  cols="30" rows="6" placeholder="Mensagem" required>Olá, tenho interesse neste imóvel: código de referência ' . $codeProperty . '. Por favor aguardo o contato. Obrigado.</textarea>';
    return $output;
}

function my_wpcf7_form_elements($html) {
    $text = 'Tipo de Anunciante';
    $html = str_replace('<option value="">---</option>', '<option value="">' . $text . '</option>', $html);
    return $html;
}

add_filter('wpcf7_form_elements', 'my_wpcf7_form_elements');


// Modificar o nome do remetente
add_filter('wp_mail_from_name', 'ewp_ep_mail_from_name');

function ewp_ep_mail_from_name() {
    return get_bloginfo('name');
}

//end

/**
 * Get the author's email address from the author meta infos.
 */
function custom_get_post_author_email($atts) {
    $value = '';
    if (get_the_author_meta('user_email')) {
        $value = get_the_author_meta('user_email');
    }
    return $value;
}

add_shortcode('CUSTOM_POST_AUTHOR_EMAIL', 'custom_get_post_author_email');

/**
 * Get the site email address
 */
function get_site_email($atts) {
    $value = '';
    if (get_option('admin_email')) {
        $value = get_option('admin_email');
    }
    return $value;
}

add_shortcode('GET_SITE_EMAIL', 'get_site_email');

//GET IP
function getRealIpAddr() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {   //check ip from share internet
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {   //to check ip is pass from proxy
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

// GET CODE PROPERTY
function custom_get_code_property($atts) {
    global $post;
    $code = '';

    $code = get_post_meta($post->ID, 'code_id_property', true);

    return $code;
}

add_shortcode('GET_CODE_PROPERTY', 'custom_get_code_property');

//VALIDATE
add_filter('wpcf7_validate_configuration', '__return_false');


// send email
add_action('transition_post_status', 'pending_post_status', 10, 3);

function pending_post_status($new_status, $old_status, $post_id) {

    // bail early if not a contact_form post
    if (get_post_type($post_id) !== 'post') {

        return;
    }
    if (!current_user_can('administrator')) {
        if ($new_status == "pending" && $old_status != "pending") {

            // vars
            $post = get_post($post_id);

            $author = get_userdata($post->post_author);

            $edit = get_edit_post_link($post_id, '');

            $title = $post->post_title;

            $to = get_option('admin_email');

            $subject = 'Novo imóvel enviado para revisão';

            $nameAuthor = $author->display_name;

            $link = get_permalink($post_id);

            $body = "Olá, Admin.\nAssunto: Novo imóvel enviado por \"$nameAuthor\" para revisão,\n\nTítulo: \"$title\"\n\nEditar: \"$edit\"\n";

            // send email
            wp_mail($to, $subject, $body, $headers);
        }
    }
}

//end
//Start

add_action('pending_to_publish', 'ewp_wp_mail_publish_post');

function ewp_wp_mail_publish_post($post_id) {

    $current_user = new WP_User(get_current_user_id());

    // A partir do ID do post, vamos obter o objeto desse post...
    $post = get_post($post_id);

    $authorID = $post->post_author;

    //...e o objeto do seu autor
    $author = get_userdata($post->post_author);

    if ($current_user->ID != $authorID) {

        // Email do autor
        $author_email = $author->user_email;

        // Assunto do email a enviar
        $email_subject = 'O seu imóvel foi publicado!';
        $title = $post->post_title;
        $link = get_permalink($post_id);
        $nameAuthor = $author->display_name;

        $message = "Olá, \n\"$nameAuthor\" o seu imóvel \"$title\" acaba de ser publicado.\n Para ver o seu imóvel publicado, acesse \"$link\".";


        // Enviar email ao autor
        wp_mail($author_email, $email_subject, $message);
    }
}
