<?php
if (!defined('ABSPATH')) {
    exit;
}
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
	'key' => 'group_56fbc8cb75505',
	'title' => 'Bancos de financiamentos',
	'fields' => array(
		array(
			'key' => 'field_56fbc8d0fe21e',
			'label' => 'Banco url',
			'name' => 'banco_url',
			'type' => 'url',
			'instructions' => 'Digite a URL do banco',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'http://www.banco.com.br',
		),
		array(
			'key' => 'field_56fbc91bfe21f',
			'label' => 'Logo do banco',
			'name' => 'logo_do_banco',
			'type' => 'image',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_56fd7e431a0d3',
			'label' => 'Aviso',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Depois que você clicar no botão publicar você precisa ir na Opções > Opções Geral > Ativar Bancos de Financiamentos
Você só precisa fazer isso uma única vez para exibi-los',
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'banco',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'the_content',
		1 => 'excerpt',
		2 => 'custom_fields',
		3 => 'discussion',
		4 => 'comments',
		5 => 'revisions',
		6 => 'slug',
		7 => 'format',
		8 => 'page_attributes',
		9 => 'featured_image',
		10 => 'categories',
		11 => 'tags',
		12 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5726aa9e1ef4a',
	'title' => 'Categoria do imóvel',
	'fields' => array(
		array(
			'key' => 'field_5726aaafcf936',
			'label' => 'Categoria',
			'name' => 'category_proprerty',
			'type' => 'taxonomy',
			'instructions' => 'Selecione uma categoria',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'checkbox',
			'allow_null' => 1,
			'add_term' => 0,
			'save_terms' => 1,
			'load_terms' => 1,
			'return_format' => 'id',
			'multiple' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'side',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'excerpt',
		1 => 'custom_fields',
		2 => 'discussion',
		3 => 'comments',
		4 => 'revisions',
		5 => 'slug',
		6 => 'format',
		7 => 'page_attributes',
		8 => 'featured_image',
		9 => 'categories',
		10 => 'tags',
		11 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_576776d80d478',
	'title' => 'Configurações captura popup',
	'fields' => array(
		array(
			'key' => 'field_587a0b64c9fa4',
			'label' => 'Captura popup',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_587a0f5f39813',
			'label' => 'Ativar captura	de e-mail popup',
			'name' => 'active_capture_popup',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_587ac310c93a3',
			'label' => 'Opções de captura de e-mail',
			'name' => 'option_captura_email_popup',
			'type' => 'select',
			'instructions' => 'Selecione uma opção de captura de email',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'capture_activecampaign_popup' => 'ActiveCampaign',
				'capture_feedburner_popup' => 'FeedBurner',
				'capture_getresponse_popup' => 'Get Response',
				'capture_leadlovers_popup' => 'Leadlovers',
				'capture_mailchimp_popup' => 'MailChimp',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_587ac3bfcb8fd',
			'label' => 'ActiveCampaign',
			'name' => 'action_activecampaign_popup',
			'type' => 'text',
			'instructions' => 'Ação do formulário',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_activecampaign_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => '',
			'placeholder' => 'Ação do formulário',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_5acf4336b5331',
			'label' => 'leadlovers',
			'name' => 'form_action_leadlovers_popup',
			'type' => 'text',
			'instructions' => 'Ação do formulário',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_leadlovers_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Ação do formulário',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5acf466886e8a',
			'label' => 'Código id',
			'name' => 'code_id_leadlovers_popup',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_leadlovers_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Código id',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5acf46d086e8b',
			'label' => 'Código pid',
			'name' => 'code_pid_leadlovers_popup',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_leadlovers_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Código pid',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_587ac414cb900',
			'label' => 'Identificador único',
			'name' => 'form_id_activecampaign_popup',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_activecampaign_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => '',
			'placeholder' => 'Identificador único',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_587ac3dfcb8fe',
			'label' => 'URL para redirecionamento',
			'name' => 'redirect_url_getresponse__popup',
			'type' => 'text',
			'instructions' => 'URL para redirecionamento após a assinatura.',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_getresponse_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => '',
			'placeholder' => 'http://',
			'prepend' => 'URL',
			'append' => '',
		),
		array(
			'key' => 'field_587ac3f1cb8ff',
			'label' => 'Seu token',
			'name' => 'code_token_getresponse_popup',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_getresponse_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => '',
			'placeholder' => 'Seu token',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_587ac387cb8fb',
			'label' => 'FeedBurner',
			'name' => 'user_feedburner_capture_popup',
			'type' => 'text',
			'instructions' => 'Digite seu usuário do FeedBurner',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_feedburner_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'proimovel',
			'maxlength' => '',
			'placeholder' => '',
			'prepend' => 'Usuário',
			'append' => '',
		),
		array(
			'key' => 'field_587ac3a6cb8fc',
			'label' => 'MailChimp',
			'name' => 'form_action_mailchimp_popup',
			'type' => 'text',
			'instructions' => 'Ação do formulário',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_587ac310c93a3',
						'operator' => '==',
						'value' => 'capture_mailchimp_popup',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => '',
			'placeholder' => 'Ação do formulário',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_57677819823b7',
			'label' => 'Texto do topo do formulário',
			'name' => 'text_top_popup',
			'type' => 'text',
			'instructions' => 'Digite o texto do topo',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => 65,
			'placeholder' => 'Falta pouco para você RESERVAR sua Casa PRÓPRIA!',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_576778e9823b8',
			'label' => 'Subtítulo do formulário',
			'name' => 'subtitle_form_popup',
			'type' => 'text',
			'instructions' => 'Digite o subtítulo',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => 90,
			'placeholder' => 'INFORME OS DADOS ABAIXO!',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_587a823b48e83',
			'label' => 'Texto do botão',
			'name' => 'text_button_capture_popup',
			'type' => 'text',
			'instructions' => 'Adicione aqui o texto para o botão de confirmação.',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Quero Reservar Minha!',
			'maxlength' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_57677bc1823bd',
			'label' => 'Texto da mensagem de privacidade',
			'name' => 'text_msg_popup',
			'type' => 'text',
			'instructions' => 'Digite o texto',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => 40,
			'placeholder' => 'Suas informações estão 100% seguras!',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_587bc79d45bf5',
			'label' => 'Opções do popup',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_587bc7d345bf6',
			'label' => 'Tempo de atraso para mostrar o popup',
			'name' => 'set_timeout_popup',
			'type' => 'number',
			'instructions' => 'Tempo para exibir o popup após um determinado período de tempo. Insira 0 para disparar imediatamente quando a página for carregada. Deixe em branco para usar a opção padrão que é 2 segundos.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'min' => '',
			'max' => '',
			'step' => '',
			'placeholder' => 'Exemplo: para 3 segundos digite 3000',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_587bcae645bf8',
			'label' => 'Mostrar esta campanha novamente por usuário depois de:',
			'name' => 'set_cookies_popup',
			'type' => 'select',
			'instructions' => 'Uma vez clicado em fechar o popup, não mostram esta campanha novamente.
Para evitar que o modal de aparecer mais de uma vez por usuário. Você pode adicionar uma validade em dias para ajustar o período de tempo antes que o modal será exibido novamente para um usuário. Por padrão, o cookie irá expirar no final da sessão, o que para a maioria dos navegadores é quando o navegador é fechado completamente.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'multiple' => 0,
			'allow_null' => 1,
			'choices' => array(
				'today' => 'Hoje',
				'one_week' => 'Uma semana',
				'two_weeks' => 'Duas semanas',
				'one_month' => 'Um mês',
				'two_months' => 'Dois meses',
				'one_year' => 'Um ano',
				'two_years' => 'Dois anos',
			),
			'default_value' => array(
			),
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_587ac4c102741',
			'label' => 'Personalizar cores',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587a0f5f39813',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_57677706823b4',
			'label' => 'Cor do background do formulário',
			'name' => 'color_bg_form_popup',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57677992823b9',
			'label' => 'Cor do subtítulo do formulário',
			'name' => 'color_subtitle_popup',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57677c56823be',
			'label' => 'Cor da mensagem de privacidade',
			'name' => 'color_msg_popup',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_576779f8823ba',
			'label' => 'Cor do botão do formulário',
			'name' => 'color_bg_button_popup',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5767d3cc76b9a',
			'label' => 'Cor do texto do botão',
			'name' => 'color_text_button_popup',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57677b54823bc',
			'label' => 'Cor da borda do botão do formulário',
			'name' => 'color_border_button_popup',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5767776d823b5',
			'label' => 'Cor do background do topo do formulário',
			'name' => 'color_bg_form_popup_top',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_576777c7823b6',
			'label' => 'Cor do texto do topo do formulário',
			'name' => 'color_text_popup_top',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-form-popup',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'permalink',
		1 => 'the_content',
		2 => 'excerpt',
		3 => 'custom_fields',
		4 => 'discussion',
		5 => 'comments',
		6 => 'revisions',
		7 => 'slug',
		8 => 'author',
		9 => 'format',
		10 => 'page_attributes',
		11 => 'featured_image',
		12 => 'categories',
		13 => 'tags',
		14 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_57a47d7609f6d',
	'title' => 'Configurações da newsletter',
	'fields' => array(
		array(
			'key' => 'field_57b3b8a73be24',
			'label' => 'Opções de captura',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_57b3bd613747c',
			'label' => 'Ativar captura de e-mail',
			'name' => 'active_capture',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_57a49116a02df',
			'label' => 'Opções de captura de e-mail',
			'name' => 'option_captura_email',
			'type' => 'select',
			'instructions' => 'Selecione uma opção de captura de email',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'capture_activecampaign' => 'ActiveCampaign',
				'capture_feedburner' => 'FeedBurner',
				'capture_getresponse' => 'Get Response',
				'capture_leadlovers' => 'Leadlovers',
				'capture_mailchimp' => 'MailChimp',
			),
			'default_value' => array(
				0 => 'capture_feedburner',
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_58529781fe803',
			'label' => 'ActiveCampaign',
			'name' => 'form_action_activecampaign',
			'type' => 'text',
			'instructions' => 'Ação do formulário',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_activecampaign',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Ação do formulário',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5acf33fad7d18',
			'label' => 'leadlovers',
			'name' => 'form_action_leadlovers',
			'type' => 'text',
			'instructions' => 'Ação do formulário',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_leadlovers',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Ação do formulário',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5acf3532ebf45',
			'label' => 'Código id',
			'name' => 'code_id_leadlovers',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_leadlovers',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Código ID',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5acf358cebf46',
			'label' => 'Código pid',
			'name' => 'code_pid_leadlovers',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_leadlovers',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Código PID',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_585298e4cbb3b',
			'label' => 'URL para redirecionamento',
			'name' => 'redirect_url_getresponse',
			'type' => 'text',
			'instructions' => 'URL para redirecionamento após a assinatura.',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_getresponse',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'http://',
			'prepend' => 'URL',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58529994cbb3c',
			'label' => 'Seu Token',
			'name' => 'code_token_getresponse',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_getresponse',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Seu Token',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_585297fefe804',
			'label' => 'Identificador único',
			'name' => 'form_id_activecampaign',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_activecampaign',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Identificador único',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57a493bfc9426',
			'label' => 'FeedBurner',
			'name' => 'user_feedburner_capture',
			'type' => 'text',
			'instructions' => 'Digite seu usuário do FeedBurner',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_feedburner',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'proimovel',
			'placeholder' => '',
			'prepend' => 'Usuário',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_585295a058009',
			'label' => 'MailChimp',
			'name' => 'form_action_mailchimp',
			'type' => 'text',
			'instructions' => 'Ação do formulário',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_57a49116a02df',
						'operator' => '==',
						'value' => 'capture_mailchimp',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Ação do formulário',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57a47dcf1553b',
			'label' => 'Título',
			'name' => 'title_capture_email',
			'type' => 'text',
			'instructions' => 'Título para a caixa de captura de emails. Recomenda-se um título curto, com 40 caracteres no máximo.',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Gostaria de Receber Nossas Novidades?',
			'placeholder' => 'Digite o título',
			'prepend' => '',
			'append' => '',
			'maxlength' => 40,
		),
		array(
			'key' => 'field_57a487fbdb4d3',
			'label' => 'Texto do campo de email',
			'name' => 'text_field_inside_email',
			'type' => 'text',
			'instructions' => 'Adicione aqui o texto que aparecerá dentro do campo de email.',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Digite seu e-mail',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => 25,
		),
		array(
			'key' => 'field_57a48978f1f29',
			'label' => 'Texto do botão',
			'name' => 'text_button_capture',
			'type' => 'text',
			'instructions' => 'Adicione aqui o texto para o botão de confirmação.',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Assine já!',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57b3ba3633a9b',
			'label' => 'Personalizar cores',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57b3bd613747c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_57a49dd65a61e',
			'label' => 'Cor do background',
			'name' => 'bg_color_capture',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_587ad7ec73f6e',
			'label' => 'Cor do ícone',
			'name' => 'color_icon_newsletter',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57a49ca05a61c',
			'label' => 'Cor do Título',
			'name' => 'color_title_capture',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57a4a33a940a8',
			'label' => 'Cor do botão do formulário',
			'name' => 'color_button_form_newsletter',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57a4a4bca8a02',
			'label' => 'Cor do texto do botão do formulário',
			'name' => 'color_text_button_form_newsletter',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'theme-newsletter',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'field',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5b4b429b351ba',
	'title' => 'Configurações do botão do WhatsApp',
	'fields' => array(
		array(
			'key' => 'field_5b4b43b1c8c52',
			'label' => 'Habilita botão WhatsApp',
			'name' => 'enable_chat_whatsapp',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_5b4b4989af613',
			'label' => 'Aviso',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5b4b43b1c8c52',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'hide_label',
				'id' => '',
			),
			'message' => '<span style="display: block;padding: 1em;background: bisque;		border: 1px solid rgba(0,0,0,0.1);"><b><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Atenção:</font></font></b><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> lembre-se de que o número do WhatsApp será </font></font><b><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">visível e público para todos os usuários</font></font></b><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> do seu site. </font><font style="vertical-align: inherit;">Por favor </font></font><b><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">, não</font></font></b><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> use um número que você deseja manter privado.</font></font></span>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5b4b4471c8c53',
			'label' => 'Seu número do WhatsApp',
			'name' => 'chat_number_whatsapp',
			'type' => 'text',
			'instructions' => 'Adicione o seu número de telefone com o código do país.',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5b4b43b1c8c52',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 5588997956727,
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5b4b4acbf42f9',
			'label' => 'Texto do topo',
			'name' => 'chat_top_whatsapp',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5b4b43b1c8c52',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Entre em contato',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5b4b4bac3d9de',
			'label' => 'Texto da box',
			'name' => 'chat_box_whatsapp',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5b4b43b1c8c52',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Olá! Use esta caixa para me enviar uma mensagem via WhatsApp...',
			'placeholder' => 'Olá! Use esta caixa para me enviar uma mensagem via WhatsApp...',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5b4b4e19b9449',
			'label' => 'Apenas exibir o botão em',
			'name' => 'show_buton_whatsapp',
			'type' => 'select',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5b4b43b1c8c52',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'mobile_and_desktop' => 'Mobile e Desktop',
				'only_on_mobile' => 'Apenas no Mobile',
				'only_on_desktop' => 'Apenas no Desktop',
			),
			'default_value' => array(
				0 => 'mobile_and_desktop',
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5b4b50ea13649',
			'label' => 'Posição na tela',
			'name' => 'screen_position_buton_whatsapp',
			'type' => 'select',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5b4b43b1c8c52',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'positionLeft' => 'Esquerda',
				'positionRight' => 'Direita',
			),
			'default_value' => array(
				0 => 'positionRight',
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5b4e1b8577729',
			'label' => 'Cor do botão',
			'name' => 'color_buton_whatsapp',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5b4b43b1c8c52',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-botao-whatsapp',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_56faff1b81fd2',
	'title' => 'Configurações gerais',
	'fields' => array(
		array(
			'key' => 'field_575ab59f67f28',
			'label' => 'Alerta',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'hide_label',
				'id' => '',
			),
			'message' => '<h4 style="color: #f96207; text-align: center;">Sempre que realizar alguma alteração clique no botão update, para que as alterações sejam salvas!</h4>',
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array(
			'key' => 'field_56fb095769b44',
			'label' => 'Opções Geral',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_56fd777f51b33',
			'label' => 'Primeiro você precisa criar artigos banco na opção banco!',
			'name' => 'active_bnc_view',
			'type' => 'true_false',
			'instructions' => 'Essa opção exibe os bancos de financiamentos!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_57dbd283a84b9',
			'label' => 'Ativar a opção de login no menu',
			'name' => 'active_login_menu',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_56fb0c5e69b45',
			'label' => 'Escolha seu logo',
			'name' => 'pro_logo',
			'type' => 'image',
			'instructions' => 'Fazer upload de um logotipo para o seu site, tamanho mínimo permitido 260x120px.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'pro-thumb-logo',
			'library' => 'all',
			'min_width' => 260,
			'min_height' => 120,
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_56fb10f069b46',
			'label' => 'Escolha seu favicon',
			'name' => 'pro_favicon',
			'type' => 'image',
			'instructions' => 'Carregar um de 16px 16px x png / gif que irá representar favicon do seu site.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => 16,
			'min_height' => 16,
			'min_size' => '',
			'max_width' => 32,
			'max_height' => 32,
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5759fc8beafe7',
			'label' => 'Escolha seu favicon do painel admin',
			'name' => 'pro_favicon_admin',
			'type' => 'image',
			'instructions' => 'Carregar um de 16px 16px x png / gif que irá representar favicon do seu painel admin.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => 16,
			'min_height' => 16,
			'min_size' => '',
			'max_width' => 64,
			'max_height' => 64,
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5852cd65d4be5',
			'label' => 'Personalizar',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_56fb114969b47',
			'label' => 'Background do menu mobile',
			'name' => 'menu_color_mobile',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_595505d6e7431',
			'label' => 'Cor do texto do menu mobile',
			'name' => 'color_text_mobile',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb120369b48',
			'label' => 'Background do submenu mobile',
			'name' => 'bg_submenu_mobile',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_595540d4f8e3d',
			'label' => 'Cor da borda do submenu mobile',
			'name' => 'border_submenu_mobile',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_595540f4f8e3e',
			'label' => 'Cor do texto do submenu mobile',
			'name' => 'color_text_submenu_mobile',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb125569b49',
			'label' => 'Background do topo',
			'name' => 'top_color',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb12ba69b4a',
			'label' => 'Background do menu',
			'name' => 'menu_color',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb12fe69b4b',
			'label' => 'Cor do texto do menu',
			'name' => 'menu_color_text',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb133869b4c',
			'label' => 'Cor do título do slide',
			'name' => 'color_slide_link',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5955069ce7432',
			'label' => 'Background do filtro',
			'name' => 'bg_search_filter',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb158d69b54',
			'label' => 'Cor do botão da pesquisa',
			'name' => 'color_search_button',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb13a769b4d',
			'label' => 'Cor do botão dos imoveis do bloco 1',
			'name' => 'property_rent_button',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d051fb122afd',
			'label' => 'Cor do texto do botão dos imóveis do bloco 1',
			'name' => 'property_text_rent_button',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb13e269b4e',
			'label' => 'Cor do botão dos imoveis do bloco 2',
			'name' => 'property_sale_button',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d051fd622afe',
			'label' => 'Cor do texto botão dos imóveis do bloco 2',
			'name' => 'property_text_sale_button',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571c95cf26cfb',
			'label' => 'Cor do botão dos imoveis do bloco 3',
			'name' => 'color_btn_property_block_3',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d05200e22aff',
			'label' => 'Cor do texto do botão dos imóveis do bloco 3',
			'name' => 'color_text_property_block_3',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57c43d2178bc5',
			'label' => 'Cor do botão dos imoveis do bloco 4',
			'name' => 'color_btn_property_block_4',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d05203a22b00',
			'label' => 'Cor do texto do botão dos imóveis do bloco 4',
			'name' => 'color_text_property_block_4',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571c9b8ebff7d',
			'label' => 'Cor do background do valor do imóvel',
			'name' => 'color_background_price',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571c9a91bff7c',
			'label' => 'Cor da etiqueta do valor do imóvel',
			'name' => 'color_ticket_price',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5721d46473f9b',
			'label' => 'Cor do background do ícone do imóvel marcado como destaque',
			'name' => 'color_background_featured_property',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d050ef143838',
			'label' => 'Background do estado do imóvel',
			'name' => 'bg_status_property_list',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d050f4143839',
			'label' => 'Cor do texto do estado do imóvel',
			'name' => 'color_text_status_property',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_595694701e944',
			'label' => 'Background da etiqueta do status do imóvel',
			'name' => 'color_bg_status_property',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571cb448d05bf',
			'label' => 'Cor do botão do link da imagem do imóvel',
			'name' => 'color_button_link_image_property',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571ca0de6486a',
			'label' => 'Cor do background ao passar o mouse da opções Área total, Quartos, Banheiros',
			'name' => 'color_background_options_items',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571ca35afb18f',
			'label' => 'Cor do título do imóvel',
			'name' => 'color_title_property',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5cea8d82122bf',
			'label' => 'Cor do background da galeria de imagens',
			'name' => 'background_property_gallery_images',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57209ad0eacb3',
			'label' => 'Cor do background do preço do imóvel da página single',
			'name' => 'color_background_property_page_price',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_595507dae7433',
			'label' => 'Cor da descrição do preço da página single',
			'name' => 'color_title_property_page_price',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57209b8ceacb4',
			'label' => 'Cor do texto do preço do imóvel da página single',
			'name' => 'color_text_property_page_price',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571ca42fe6d43',
			'label' => 'Cor do texto detalhes do imóvel',
			'name' => 'color_property_details',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5720a3475d1ae',
			'label' => 'Cor do texto do itens do imóvel da página single',
			'name' => 'color_items_property_single',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5720a4f82c649',
			'label' => 'Cor do background da descrição do imóvel da página single',
			'name' => 'color_background_property_description_single',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5720a64bc2b2e',
			'label' => 'Cor do texto da descrição do imóvel da página single',
			'name' => 'color_text_property_description_single',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5955091ce7434',
			'label' => 'Background do formulário de contato da página single',
			'name' => 'bag_form_agent_single',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d05161b6ee56',
			'label' => 'Cor do título do formulário de contato da página single',
			'name' => 'color_title_form_agent_single',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d05165d6ee57',
			'label' => 'Cor dos textos do formulário de contato da página single',
			'name' => 'color_text_form_agent_single',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d05230111fa8',
			'label' => 'Cor do texto do botão do formulário',
			'name' => 'color_text_btn_form_agent_single',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5b0ed783de3e6',
			'label' => 'Background do mapa',
			'name' => 'bg_map',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5b0ed7abde3e7',
			'label' => 'Cor do texto do mapa',
			'name' => 'color_map_texts',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb144669b4f',
			'label' => 'Cor do botões',
			'name' => 'buttons_color',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb147d69b50',
			'label' => 'Cor do botões dos bancos',
			'name' => 'buttons_color_bnc',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb14c369b51',
			'label' => 'Cor dos botões dos formulários',
			'name' => 'buttons_color_form7',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5722ec9bb26bd',
			'label' => 'Background da paginação',
			'name' => 'color_background_pagination',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_59569e884e942',
			'label' => 'Background da paginação evento hover',
			'name' => 'bg_pagination_hover',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_59ce11fdf24af',
			'label' => 'Cor do texto da paginação',
			'name' => 'color_text_pagination',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb15c969b55',
			'label' => 'Background do rodapé',
			'name' => 'footer_color',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5d05226dc204a',
			'label' => 'Cor do texto do rodapé',
			'name' => 'footer_text_color',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571038b0f9e78',
			'label' => 'Background do sub rodapé',
			'name' => 'bg_footer_developer',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb164e69b57',
			'label' => 'Cor do botão voltar ao topo',
			'name' => 'background_go_to',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb169469b58',
			'label' => 'Cor da seta voltar ao topo',
			'name' => 'color_go_to',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954dcdf716f3',
			'label' => 'Topo',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5954dd02716f4',
			'label' => 'Exibir contatos no topo',
			'name' => 'show_contacts_top',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_5954dd65716f5',
			'label' => 'Atendimento',
			'name' => 'phone_number',
			'type' => 'text',
			'instructions' => 'Digite o número',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '(xx) xxxxx-xxxx',
			'placeholder' => '(xx) xxxxx-xxxx',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5954ddf2716f6',
			'label' => 'Cor do título',
			'name' => 'color_title_contact_phone',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954de2c716f7',
			'label' => 'Cor do telefone',
			'name' => 'color_number_phone',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954de53716f8',
			'label' => 'Cor do ícone de atendimento',
			'name' => 'color_icon_phone',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954de77716f9',
			'label' => 'Atendimento 2',
			'name' => 'service_number_top',
			'type' => 'text',
			'instructions' => 'Digite o número',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '(xx) xxxxx-xxxx',
			'placeholder' => '(xx) xxxxx-xxxx',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5a5e367a86d9b',
			'label' => 'Texto do atendimento 2',
			'name' => 'text_attendance_top',
			'type' => 'text',
			'instructions' => 'Digite o texto do atendimento 2. Limite de caracteres 15',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'WhatsApp',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => 15,
		),
		array(
			'key' => 'field_5a5e375686d9c',
			'label' => 'Icon do atendimento 2',
			'name' => 'icon_attendance_top',
			'type' => 'text',
			'instructions' => 'Você pode adicionar um novo ícone para acompanhar o título. <b><a target="_blank" href="http://fontawesome.io/icons">Clique aqui</a></b> para visualizar as opções de ícones disponíveis.

<p>Na página que abrirá, clique sobre o ícone desejado para copiar o respectivo código identificador para a área de transferência. Em seguida, cole-o neste campo.</p>',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'fa fa-whatsapp',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5954dec8716fa',
			'label' => 'Cor do título de atendimento 2',
			'name' => 'color_title_attendance_top',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954deff716fb',
			'label' => 'Cor do número de atendimento 2',
			'name' => 'color_number_attendance_top',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954df20716fc',
			'label' => 'Cor do ícone de atendimento 2',
			'name' => 'color_icon_attendance_top',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954df40716fd',
			'label' => 'E-mail de contato',
			'name' => 'email_contact_top',
			'type' => 'email',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'contato@seusite.com.br',
			'placeholder' => 'contato@seusite.com.br',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_5954df97716fe',
			'label' => 'Cor do título do e-mail',
			'name' => 'color_title_email_top',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954dfc1716ff',
			'label' => 'Cor do e-mail',
			'name' => 'color_email_top',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5954dfea71700',
			'label' => 'Cor do ícone do e-mail',
			'name' => 'color_icon_email_top',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5954dd02716f4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_56fb1a45baf33',
			'label' => 'Copyright',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_56fb1a68baf34',
			'label' => 'Direitos reservados',
			'name' => 'pro_copyright',
			'type' => 'text',
			'instructions' => 'Digite o texto que vai aparecer no rodapé de direitos reservados.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '© 2019 - Proimovel, Todos os Direitos Reservados!',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5838041d9f350',
			'label' => 'Número do creci',
			'name' => 'number_creci',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Corretor de imóveis CRECI 00000',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_56fb1e3575fa3',
			'label' => 'Central relacionamento',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_58380295e29dc',
			'label' => 'Exibir central relacionamento',
			'name' => 'enbale_central_relationship',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_56fb1e5b75fa4',
			'label' => 'Página de contato',
			'name' => 'pro_de_contato',
			'type' => 'text',
			'instructions' => 'Informe o nome da página de contato,sem espaço ou caracteres especiais.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58380295e29dc',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'contato',
			'placeholder' => '',
			'prepend' => 'Nome da Página:',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_56fb1ed375fa5',
			'label' => 'Página negócie seu Imóvel',
			'name' => 'pro_negocie_imovel',
			'type' => 'text',
			'instructions' => 'Informe o nome da página de cadastro do imóvel,sem espaço ou caracteres especiais.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58380295e29dc',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'negociar-seu-imovel',
			'placeholder' => '',
			'prepend' => 'Nome da página:',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_571cf999a7a0c',
			'label' => 'Exibir corretor',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_571d521c16518',
			'label' => 'Exibir as informações na home',
			'name' => 'show_info_agent_home',
			'type' => 'true_false',
			'instructions' => 'Essa opção exibe as informações do corretor na página inicial!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_57598c00eeea5',
			'label' => 'Corretor para mostrar na página inicial',
			'name' => 'show_agent_home',
			'type' => 'user',
			'instructions' => 'Selecione um corretor para mostrar na página inicial!',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_571d521c16518',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'role' => '',
			'allow_null' => 1,
			'multiple' => 0,
			'return_format' => 'array',
		),
		array(
			'key' => 'field_5a5e314c0f753',
			'label' => 'Exibir as informações na página do imóvel',
			'name' => 'show_info_agent_single',
			'type' => 'true_false',
			'instructions' => 'Essa opção exibe as informações do corretor na página do imóvel',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_56fb1f6217ff1',
			'label' => 'Opções de redes sociais',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_56fbaddd1bfe8',
			'label' => 'Ativar icones de redes sociais do rodapé',
			'name' => 'ativar_sociais_rodape',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_57c454b891f89',
			'label' => 'Empresa ou Pessoa',
			'name' => 'company_or_person',
			'type' => 'text',
			'instructions' => 'Digite a empresa ou a pessoa que vai representar as redes sociais',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_56fbaddd1bfe8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'wptech',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5b1018c476717',
			'label' => 'Imagem para representar a sua marca, quando usuário compartilhar seu site nas redes sociais',
			'name' => 'image_company',
			'type' => 'image',
			'instructions' => 'O tamanho da imagem recomendado 1200x628 pixels',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_56fbaddd1bfe8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'medium',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_56fbaf061bfeb',
			'label' => 'Usuário do Facebook',
			'name' => 'pro_usuario_do_facebook',
			'type' => 'text',
			'instructions' => 'Digite seu usuário do Facebook se você deseja exibir!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_56fbaddd1bfe8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'seu-usuário',
			'placeholder' => '',
			'prepend' => 'Usuário do Facebook:',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5a63b28c916c1',
			'label' => 'Usuário do Instagram',
			'name' => 'pro_user_instagram',
			'type' => 'text',
			'instructions' => 'Digite seu usuário do Instagram se você deseja exibir!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_56fbaddd1bfe8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'seu-usuário',
			'placeholder' => '',
			'prepend' => 'Usuário do Instagram:',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57c43d7578bc6',
			'label' => 'YouTube',
			'name' => 'pro_usuario_youtube',
			'type' => 'url',
			'instructions' => 'URL do seu canal do YouTube',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_56fbaddd1bfe8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'https://www.youtube.com/c/seu-usuário',
			'placeholder' => '',
		),
		array(
			'key' => 'field_56fbafb31bfed',
			'label' => 'Usuário do Twitter',
			'name' => 'pro_usuario_do_twitter',
			'type' => 'text',
			'instructions' => 'Digite seu usuário do Twitter se você deseja exibir!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_56fbaddd1bfe8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'seu-usuário',
			'placeholder' => '',
			'prepend' => 'Usuário do Twitter:',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57c4400d78bc8',
			'label' => 'Página de contato',
			'name' => 'pro_page_contact',
			'type' => 'text',
			'instructions' => 'Informe o nome da página de contato, sem espaço ou caracteres especiais se você deseja exibir.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_56fbaddd1bfe8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'contato',
			'placeholder' => '',
			'prepend' => 'Nome da página',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_56fbb0a21bfef',
			'label' => 'Código Google analytics',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_56fbb0b31bff0',
			'label' => 'Código do Google analytics',
			'name' => 'pro_google_analytics',
			'type' => 'textarea',
			'instructions' => 'Adicione seu código',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_571389aaf9c57',
			'label' => 'Categorias',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5701aa8844ea6',
			'label' => 'Exibir o carrossel das categorias dos imoveis',
			'name' => 'active_show_cat_property',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_5b0d6296ae3e4',
			'label' => 'Background da categoria do carrossel',
			'name' => 'bg_carousel_types',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5701aa8844ea6',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5b0d631aae3e5',
			'label' => 'Cor da borda da categoria do carrossel',
			'name' => 'color_border_carousel_types',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5701aa8844ea6',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_571cc0a22a821',
			'label' => 'Cor do link da categoria do carrossel',
			'name' => 'color_text_link_cat',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor!',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5701aa8844ea6',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57138a56b86d2',
			'label' => 'Bloco 1',
			'name' => 'block_cat_one',
			'type' => 'taxonomy',
			'instructions' => 'Selecione uma categoria para mostrar na coluna 1 de imoveis na página Home!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'select',
			'multiple' => 0,
			'allow_null' => 1,
			'return_format' => 'object',
			'add_term' => 0,
			'load_terms' => 0,
			'save_terms' => 1,
		),
		array(
			'key' => 'field_5713a3ea162ba',
			'label' => 'Bloco 2',
			'name' => 'block_cat_two',
			'type' => 'taxonomy',
			'instructions' => 'Selecione uma Categoria para mostrar na coluna 2 de imoveis na página Home!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'select',
			'multiple' => 0,
			'allow_null' => 1,
			'return_format' => 'object',
			'add_term' => 0,
			'load_terms' => 0,
			'save_terms' => 1,
		),
		array(
			'key' => 'field_5713abcc1c122',
			'label' => 'Bloco 3',
			'name' => 'block_cat_three',
			'type' => 'taxonomy',
			'instructions' => 'Selecione uma Categoria para mostrar na coluna 3 de imoveis na página Home!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'select',
			'multiple' => 0,
			'allow_null' => 1,
			'return_format' => 'object',
			'add_term' => 0,
			'load_terms' => 0,
			'save_terms' => 1,
		),
		array(
			'key' => 'field_57c440a878bc9',
			'label' => 'Bloco 4',
			'name' => 'block_cat_four',
			'type' => 'taxonomy',
			'instructions' => 'Selecione uma Categoria para mostrar na coluna 4 de imoveis na página Home!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'select',
			'multiple' => 0,
			'allow_null' => 1,
			'return_format' => 'object',
			'add_term' => 0,
			'load_terms' => 0,
			'save_terms' => 1,
		),
		array(
			'key' => 'field_575b1dd07d0ce',
			'label' => 'Remover bloco 1 da página home',
			'name' => 'hide_block_cat_one',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Remover',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_59275dc51420c',
			'label' => 'Remover bloco 2 da página home',
			'name' => 'hide_block_cat_two',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Remover',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_59275ded1420d',
			'label' => 'Remover bloco 3 da página home',
			'name' => 'hide_block_cat_three',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Remover',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_59275e5e1420e',
			'label' => 'Remover bloco 4 da página home',
			'name' => 'hide_block_cat_four',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Remover',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_5759fdbfb1c76',
			'label' => 'Login',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_576927abd5cab',
			'label' => 'Tela de login',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'hide_label',
				'id' => '',
			),
			'message' => '<p style="text-align: center; text-decoration: none;">Página de login <a style="text-decoration: none;" href="/wp-login.php" target="_blank">Demostração</a></p>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_575a8e310f55d',
			'label' => 'Logo da página de login',
			'name' => 'logo_form_login_adm',
			'type' => 'image',
			'instructions' => 'Fazer upload de um logotipo para página de login, tamanhos permitido 150px 40px',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'full',
			'library' => 'all',
			'min_width' => 150,
			'min_height' => 40,
			'min_size' => '',
			'max_width' => 150,
			'max_height' => 40,
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_575ad37c67468',
			'label' => 'Texto da logo ao passar o mouse',
			'name' => 'text_logo_mouse_hover',
			'type' => 'text',
			'instructions' => 'Digite seu texto que vai aparecer quando o mouse estiver sobre a logo',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'wptech, Todos os Direitos Reservados',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_575a0009ba314',
			'label' => 'Cor do background da página de login',
			'name' => 'color_bg_login_adm',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_575a9ad2dd9bb',
			'label' => 'Cor do background do formulário de login',
			'name' => 'color_bg_form_login_adm',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_575a895fcb6a0',
			'label' => 'Cor do texto do formulário login',
			'name' => 'color_text_login_adm',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_575ab38e47910',
			'label' => 'Cor do botão da página de login',
			'name' => 'color_btn_form_login_adm',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_575ab48cc4b08',
			'label' => 'Cor da borda do botão do formulário de login',
			'name' => 'color_border_btn_form_login_adm',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_575acd01d70f0',
			'label' => 'Cor do links da página de login',
			'name' => 'color_links_page_login_adm',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_575ad2e407916',
			'label' => 'Cor do links hover da página de login',
			'name' => 'color_links_page_login_adm_hover',
			'type' => 'color_picker',
			'instructions' => 'Selecione uma cor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57bec0d756c6b',
			'label' => 'Google Maps',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_57bec14e56c6c',
			'label' => 'Google Maps API',
			'name' => 'pro_key_maps',
			'type' => 'text',
			'instructions' => 'Para que o mapa possa funcionar adicione sua chave api, você pode obter sua chave

<a href="https://console.developers.google.com/flows/enableapi?apiid=maps_backend,geocoding_backend,directions_backend,distance_matrix_backend,elevation_backend&keyType=CLIENT_SIDE&reusekey=true" target="_blank">Google API aqui</a>',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'SUA API KEY AQUI',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5d0531902eef6',
			'label' => 'Modelo de exibição',
			'name' => 'map_display_template',
			'type' => 'select',
			'instructions' => 'Selecione o modelo de exibição do mapa',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'circle800Meters' => 'Circulo em volta do endereço',
				'exactAddress' => 'Endereço exato',
			),
			'default_value' => array(
				0 => 'circle800Meters',
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5824fe57f3e47',
			'label' => 'Fontes',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5824fe86f3e48',
			'label' => 'Títulos',
			'name' => 'font_titles_h1',
			'type' => 'select',
			'instructions' => 'Selecione uma fonte para os títulos. <b>Fonte Default: Arial</b>',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'Arial' => 'Arial',
				'Days One' => 'Days One',
				'Default' => 'Default',
				'Dosis' => 'Dosis',
				'Lato' => 'Lato',
				'Open Sans' => 'Open Sans',
				'Roboto' => 'Roboto',
				'Source Sans Pro' => 'Source Sans Pro',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_58285ae9c8b39',
			'label' => 'Tamanho da fonte dos títulos',
			'name' => 'size_font_title',
			'type' => 'select',
			'instructions' => 'Selecione um tamanho da fonte para os títulos. <b>Valor Default: 16px</b>',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'1em' => '16px',
				'1.125em' => '18px',
				'1.5em' => '24px',
			),
			'default_value' => array(
				0 => '1em',
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_58285f9b7a036',
			'label' => 'Geral',
			'name' => 'font_general',
			'type' => 'select',
			'instructions' => 'Selecione uma fonte para parágrafos, subtítulos, inputs, links. <b>Fonte Default: Titillium Web</b>',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'Arial' => 'Arial',
				'Days One' => 'Days One',
				'Default' => 'Default',
				'Dosis' => 'Dosis',
				'Lato' => 'Lato',
				'Open Sans' => 'Open Sans',
				'Roboto' => 'Roboto',
				'Source Sans Pro' => 'Source Sans Pro',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5963722151551',
			'label' => 'Seção SEO',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5963723b51552',
			'label' => 'Mensagem',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'hide_label',
				'id' => '',
			),
			'message' => '<h4 style="color: red; text-align: center;">Se você usa o plugin Yoast SEO, você não deve habilitar essa opção pois o plugin já tem esse recurso, se você habilitar vai ficar metadados Open Graph duplicados</h4>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5963726b51553',
			'label' => 'Adicionar metadados Open Graph',
			'name' => 'enable_open_graph',
			'type' => 'true_false',
			'instructions' => 'Adicionar dados Open Graph na seção <b>head</b> do seu site. Facebook e outras redes sociais usam esses dados quando suas páginas e artigos são compartilhados.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_5b0c6be17248a',
			'label' => 'Imagem de carregamento',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5b0c6c427248b',
			'label' => 'Imagem de loading',
			'name' => 'enable_loading',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'theme-general-settings',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'excerpt',
		1 => 'discussion',
		2 => 'comments',
		3 => 'revisions',
		4 => 'slug',
		5 => 'format',
		6 => 'page_attributes',
		7 => 'featured_image',
		8 => 'categories',
		9 => 'tags',
		10 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58a6d68ac8a1c',
	'title' => 'Dados do cliente',
	'fields' => array(
		array(
			'key' => 'field_58a6d735de908',
			'label' => 'Email',
			'name' => 'client_email',
			'type' => 'email',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Email do cliente',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_58a6d778de909',
			'label' => 'Telefone',
			'name' => 'client_phone',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Telefone do cliente',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58a6d8dd0dd73',
			'label' => 'Celular',
			'name' => 'client_phone_mobile',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Celular do cliente',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58a6dabd0dd75',
			'label' => 'Tipo de imóvel',
			'name' => 'client_type_property',
			'type' => 'text',
			'instructions' => 'Digite o tipo do imóvel que cliente procura Exemplos: Casa, Flat, Apartamento',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Casa',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58a6dca70fab6',
			'label' => 'Tipo de negócio',
			'name' => 'business_type_client',
			'type' => 'text',
			'instructions' => 'Tipo de negócio exemplo: Alugar, Comprar',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Tipo de negócio',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58a6d9f10dd74',
			'label' => 'Referência do imóvel',
			'name' => 'client_property_reference',
			'type' => 'textarea',
			'instructions' => 'Digite a referência do imóvel que o cliente procura',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => 'wpautop',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'wp_cliente',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'permalink',
		1 => 'the_content',
		2 => 'excerpt',
		3 => 'custom_fields',
		4 => 'discussion',
		5 => 'comments',
		6 => 'revisions',
		7 => 'slug',
		8 => 'format',
		9 => 'page_attributes',
		10 => 'featured_image',
		11 => 'categories',
		12 => 'tags',
		13 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5759607cac154',
	'title' => 'Dados do corretor',
	'fields' => array(
		array(
			'key' => 'field_594a41c343305',
			'label' => 'Tipo de agente',
			'name' => 'type_agent',
			'type' => 'select',
			'instructions' => 'Selecione um tipo de agente.',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'Administrador' => 'Administrador',
				'Corretor' => 'Corretor',
				'Imobiliária' => 'Imobiliária',
				'Proprietário' => 'Proprietário',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_575958c48e162',
			'label' => 'Sexo',
			'name' => 'gender_sex_agent',
			'type' => 'select',
			'instructions' => 'Selecione um sexo',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'multiple' => 0,
			'allow_null' => 1,
			'choices' => array(
				'Masculino' => 'Masculino',
				'Feminino' => 'Feminino',
			),
			'default_value' => array(
			),
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'return_format' => 'value',
			'disabled' => 0,
			'readonly' => 0,
		),
		array(
			'key' => 'field_571cfa4aa7a0d',
			'label' => 'Foto do Corretor',
			'name' => 'foto_do_corretor',
			'type' => 'image',
			'instructions' => 'Imagem do corretor	tamanhos permitido 200px 200px',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => 200,
			'min_height' => 200,
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_594a420143306',
			'label' => 'Inscrição no CRECI',
			'name' => 'number_creci_agent',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Inscrição no CRECI',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_594a423143307',
			'label' => 'Inscrição no CNAI',
			'name' => 'number_cnai_agent',
			'type' => 'text',
			'instructions' => 'Campo opcional',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Inscrição no CNAI',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57bcd09c34adb',
			'label' => 'Telefone',
			'name' => 'fone_numb_agent',
			'type' => 'text',
			'instructions' => 'Preencha o número de telefone de contato',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '(xx) xxxxx-xxxx',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => 15,
		),
		array(
			'key' => 'field_571cfcf7cee94',
			'label' => 'Número do Celular',
			'name' => 'fone_numb_mobile',
			'type' => 'text',
			'instructions' => 'Preencha o número do celular',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '(xx) xxxxx-xxxx',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => 15,
		),
		array(
			'key' => 'field_571cfdc7cee95',
			'label' => 'Número do Whatsapp',
			'name' => 'fone_numb_whatsapp',
			'type' => 'text',
			'instructions' => 'Preencha o número do whatsapp',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '(xx) xxxxx-xxxx',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => 15,
		),
		array(
			'key' => 'field_56fb1b05baf35',
			'label' => 'Endereço:',
			'name' => 'footer_address',
			'type' => 'text',
			'instructions' => 'Digite o endereço',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '100',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Endereço',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_571cfeaff387b',
			'label' => 'Horário de atendimento',
			'name' => 'office_hours',
			'type' => 'text',
			'instructions' => 'Digite o Horário de atendimento',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Segunda a Sexta-feira 8h às 17h',
			'maxlength' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_571cff2af387c',
			'label' => 'Email de Contato',
			'name' => 'email_agent',
			'type' => 'text',
			'instructions' => 'Digite um email de contato se você deseja exibir nos dados do corretor',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'contato@seusite.com.br',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'user_form',
				'operator' => '==',
				'value' => 'edit',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'field',
	'hide_on_screen' => array(
		0 => 'the_content',
		1 => 'excerpt',
		2 => 'discussion',
		3 => 'comments',
		4 => 'revisions',
		5 => 'slug',
		6 => 'format',
		7 => 'page_attributes',
		8 => 'featured_image',
		9 => 'categories',
		10 => 'tags',
		11 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5954d95a1d2df',
	'title' => 'Dados do imóvel',
	'fields' => array(
		array(
			'key' => 'field_59555434be528',
			'label' => 'Transação',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_571cc4e119bd0',
			'label' => 'Tipo de negocio do imóvel',
			'name' => 'type_business_property',
			'type' => 'taxonomy',
			'instructions' => 'Selecione o tipo de transação do imóvel, essa opção vai exibir se o imóvel é à venda, para locação ou temporada!',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'type_of_business',
			'field_type' => 'select',
			'allow_null' => 1,
			'add_term' => 0,
			'save_terms' => 1,
			'load_terms' => 1,
			'return_format' => 'object',
			'multiple' => 0,
		),
		array(
			'key' => 'field_5720d763aca2b',
			'label' => 'Estado do imóvel',
			'name' => 'property_status',
			'type' => 'select',
			'instructions' => 'Selecione uma opção',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'Alugado' => 'Alugado',
				'Disponível' => 'Disponível',
				'Indisponível' => 'Indisponível',
				'Vendido' => 'Vendido',
				'Teste' => 'Teste',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 1,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_56fbc35a5805b',
			'label' => 'Status do imóvel',
			'name' => 'condition_property',
			'type' => 'select',
			'instructions' => 'Selecione uma opção',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'Em construção' => 'Em construção',
				'Lançamento' => 'Lançamento',
				'Na planta' => 'Na planta',
				'Novo' => 'Novo',
				'Pronto' => 'Pronto',
				'Reformado' => 'Reformado',
				'Usado' => 'Usado',
				'Pronto para morar' => 'Pronto para morar',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 1,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5955544abe529',
			'label' => 'Imagens',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_59555503a40c3',
			'label' => 'Aviso',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Aviso
Para uma boa qualidade da imagem em telas maiores é aconselhável que você use uma imagem de pelo menos uma largura de 1280 pixels e altura de 720 pixels',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_56fbbcd66d48d',
			'label' => 'Imagem principal',
			'name' => 'image_de_destaque',
			'type' => 'image',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'pro-thumb-442-280',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_56fbbdd56d48e',
			'label' => 'Galeria de imagens do imóvel (Opcional)',
			'name' => 'galeria',
			'type' => 'gallery',
			'instructions' => 'Adicione as imagens da galeria do imóvel',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => '',
			'max' => '',
			'insert' => 'append',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
			'return_format' => 'array',
			'preview_size' => 'medium',
		),
		array(
			'key' => 'field_59555459be52a',
			'label' => 'Vídeo',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5716217e21a9d',
			'label' => 'Vídeo do imóvel',
			'name' => 'video_imob',
			'type' => 'text',
			'instructions' => 'Se você deseja que apareça o vídeo na página single do imóvel	digite ou cole o código do vídeo do youtube
não é a URL é só o código Exemplo: destacado em vermelho https://www.youtube.com/watch?v=<span style="color: red"><b>eHhmnPyScS0</b></span>',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'eHhmnPyScS0',
			'prepend' => 'Código',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5955546dbe52b',
			'label' => 'Localidade',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_56fbb709eed9c',
			'label' => 'Endereço',
			'name' => 'enderenco',
			'type' => 'text',
			'instructions' => 'Digite o endereço do imóvel Exemplo: Rua K',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Endereço',
			'prepend' => 'Endereço:',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_56fbb2f3eed99',
			'label' => 'Bairro',
			'name' => 'bairro',
			'type' => 'text',
			'instructions' => 'Digite o Bairro',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Centro',
			'maxlength' => '',
			'placeholder' => '',
			'prepend' => 'Bairro',
			'append' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array(
			'key' => 'field_56fbb47eeed9a',
			'label' => 'CEP',
			'name' => 'cep',
			'type' => 'text',
			'instructions' => 'Digite o CEP Exemplo 99.999-999',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => '',
			'placeholder' => 'Digite o CEP Exemplo 99.999-999',
			'prepend' => 'CEP:',
			'append' => '',
		),
		array(
			'key' => 'field_57543b6572315',
			'label' => 'Cidade',
			'name' => 'cities',
			'type' => 'taxonomy',
			'instructions' => 'Selecione uma cidade ou adicione uma nova clicando no sinal de +',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'cidades',
			'field_type' => 'select',
			'multiple' => 0,
			'allow_null' => 1,
			'return_format' => 'id',
			'add_term' => 1,
			'load_terms' => 1,
			'save_terms' => 1,
		),
		array(
			'key' => 'field_56fbb4f8eed9b',
			'label' => 'Estado',
			'name' => 'property_state',
			'type' => 'taxonomy',
			'instructions' => 'Selecione uma cidade ou adicione uma nova clicando no sinal de +',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'states',
			'field_type' => 'select',
			'allow_null' => 1,
			'add_term' => 1,
			'save_terms' => 1,
			'load_terms' => 1,
			'return_format' => 'object',
			'multiple' => 0,
		),
		array(
			'key' => 'field_5afad47dd9e78',
			'label' => 'Exibir endereço',
			'name' => 'display_address',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Mostrar endereço no site?',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_56fbcac01ca15',
			'label' => 'Localização',
			'name' => 'google-map',
			'type' => 'google_map',
			'instructions' => 'Digite o bairro do imóvel para aparecer no mapa.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'center_lat' => '-23.3909341',
			'center_lng' => '-46.5234409',
			'zoom' => '',
			'height' => '',
		),
		array(
			'key' => 'field_5955548fbe52c',
			'label' => 'Preços',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_56fbc613401d0',
			'label' => 'Valor',
			'name' => 'valor',
			'type' => 'number',
			'instructions' => 'Informe o valor do imóvel, ou se não for informar um valor deixe em branco!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Entre com Valor exemplo para 900,00 reais Digite 900, para 200.000,00 Mil Reais Digite 200000',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_59ba5985ec597',
			'label' => 'Preço por:',
			'name' => 'rent_type',
			'type' => 'select',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_571cc4e119bd0',
						'operator' => '==',
						'value' => 'season',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'Por dia' => 'Por dia',
				'Por semana' => 'Por semana',
				'Por mês' => 'Por mês',
				'Por ano' => 'Por ano',
				'Pacote' => 'Pacote',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_595500661a29e',
			'label' => 'Valor do condomínio',
			'name' => 'price_cond',
			'type' => 'number',
			'instructions' => 'Informe o valor do condomínio, se não for informar um valor deixe em branco!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Entre com valor exemplo para 900,00 reais Digite 900',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_595500b61a29f',
			'label' => 'Valor do IPTU',
			'name' => 'value_property_tax',
			'type' => 'number',
			'instructions' => 'Informe o valor do IPTU, se não for informar um valor deixe em branco!',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Entre com Valor exemplo para 200,00 reais Digite 200',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_59555499be52d',
			'label' => 'Código',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_571fdced60525',
			'label' => 'Código de referência	do Imóvel',
			'name' => 'code_id_property',
			'type' => 'text',
			'instructions' => 'Digite o código para o controle do imóvel, tenha cuidado para não repetir o código de outro imóvel',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Exemplo: im01',
			'prepend' => 'Código',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_595554a8be52e',
			'label' => 'Detalhes',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_56fbbfba51ec0',
			'label' => 'Dormitório',
			'name' => 'bedroom',
			'type' => 'number',
			'instructions' => 'informe quantos quartos tem o imóvel',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Quarto',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_56fbc08451ec1',
			'label' => 'Sendo suíte',
			'name' => 'suite',
			'type' => 'number',
			'instructions' => 'informe quantas suítes tem o imóvel',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Suíte',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_56fbc11051ec2',
			'label' => 'Banheiro',
			'name' => 'bathroom',
			'type' => 'number',
			'instructions' => 'informe quantos banheiros tem o imóvel',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Banheiro',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_56fbc16e51ec3',
			'label' => 'Garagem',
			'name' => 'garage',
			'type' => 'number',
			'instructions' => 'informe quantas garagens tem o imóvel',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Garagem',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_595501318d49f',
			'label' => 'Área útil',
			'name' => 'useful_area',
			'type' => 'number',
			'instructions' => 'Digite valor da Área útil em metros quadrados Exemplo 270',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 270,
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_56fbc1fc51ec4',
			'label' => 'Área total',
			'name' => 'total_area',
			'type' => 'number',
			'instructions' => 'Digite valor da área total em metros quadrados Exemplo 370',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 370,
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5ac676ba1c397',
			'label' => 'Proprietário',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5b49c6eb26460',
			'label' => 'Aviso',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h4 style="color: #f96207; text-align: center;">Os dados do proprietário, não serão exibidos no site, é só uma opção extra para controle do imóvel.</h4>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5ac6770a1c398',
			'label' => 'Nome',
			'name' => 'owner_name',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Nome',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ac6774e1c399',
			'label' => 'Endereço',
			'name' => 'owner_address',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Endereço',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ac6779b1c39a',
			'label' => 'Telefone',
			'name' => 'owner_phone',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Telefone',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ac678021c39b',
			'label' => 'Email',
			'name' => 'email_owner',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Email',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ac678451c39c',
			'label' => 'Observações',
			'name' => 'owner_remarks',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Observações',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'excerpt',
		1 => 'discussion',
		2 => 'comments',
		3 => 'revisions',
		4 => 'slug',
		5 => 'format',
		6 => 'page_attributes',
		7 => 'featured_image',
		8 => 'categories',
		9 => 'tags',
		10 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_59aeeea5bacaf',
	'title' => 'Dados do slide',
	'fields' => array(
		array(
			'key' => 'field_59aeeebde7e2e',
			'label' => 'Imagem',
			'name' => 'banner_img',
			'type' => 'image',
			'instructions' => 'imagem do slide, largura minima permitido 1280 pixels e altura 600 pixels',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'pro-thumb-404-242',
			'library' => 'all',
			'min_width' => 1280,
			'min_height' => 600,
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_59aef067e7e2f',
			'label' => 'Link do slide opcional',
			'name' => 'link_banner',
			'type' => 'url',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'http://',
		),
		array(
			'key' => 'field_5a12f486dc506',
			'label' => 'Exibir título do slide',
			'name' => 'show_title_banner',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Exibir',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post_banner',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'the_content',
		1 => 'excerpt',
		2 => 'custom_fields',
		3 => 'discussion',
		4 => 'comments',
		5 => 'revisions',
		6 => 'slug',
		7 => 'format',
		8 => 'page_attributes',
		9 => 'featured_image',
		10 => 'categories',
		11 => 'tags',
		12 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5d0500fc4094e',
	'title' => 'Lista de estado do imóvel',
	'fields' => array(
		array(
			'key' => 'field_5d050136f498f',
			'label' => 'Estado do imóvel',
			'name' => 'property_status_list',
			'type' => 'textarea',
			'instructions' => '<p style="color: #f90707;">Para adicionar novos estados do imóvel, coloque cada opção em uma única linha.</p>',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Alugado
Disponível
Indisponível
Vendido',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_5d0ce5b9e5167',
			'label' => 'Exibir etiqueta do estado imóvel',
			'name' => 'display_tag_property_image',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-estados-do-imovel',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5d05032060970',
	'title' => 'Lista de status do imóvel',
	'fields' => array(
		array(
			'key' => 'field_5d050322bbcf9',
			'label' => 'Status do imóvel',
			'name' => 'property_status_options',
			'type' => 'textarea',
			'instructions' => '<p style="color: #f90707;">Para adicionar novos status do imóvel, coloque cada opção em uma única linha.</p>',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Em construção
Lançamento
Na planta
Novo
Pronto
Reformado
Usado',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-status-do-imovel',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5a8d699ddb49e',
	'title' => 'Opção da largura do slide',
	'fields' => array(
		array(
			'key' => 'field_5a8d69d2a7da3',
			'label' => 'Largura do slide',
			'name' => 'pro_width_slider',
			'type' => 'select',
			'instructions' => 'Selecione uma opção',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'width_1280' => '1280px',
				'width_full' => 'Completo',
			),
			'default_value' => array(
				0 => 'width_1280',
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-configurar-slide',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5b074c3fb26d1',
	'title' => 'Opções de moeda',
	'fields' => array(
		array(
			'key' => 'field_5b0751eaef9b1',
			'label' => 'Aviso',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'As opções a seguir afetam como os preços são exibidos no site.',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5b074c54c16ae',
			'label' => 'Moeda',
			'name' => 'pro_currency',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'R$',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => 2,
		),
		array(
			'key' => 'field_5b074d0bc16af',
			'label' => 'Posição da moeda',
			'name' => 'currency_position',
			'type' => 'select',
			'instructions' => 'Isto controla a posição do simbolo monetário',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'right' => 'Direita',
				'left' => 'Esquerda',
				'right_space' => 'Direita com espaço',
				'left_space' => 'Esquerda com espaço',
			),
			'default_value' => array(
				0 => 'left_space',
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5b074ea0c16b0',
			'label' => 'Separador de milhares',
			'name' => 'thousands_separator',
			'type' => 'text',
			'instructions' => 'Isto define o simbolo que separa a casa da milhares nos preços',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '.',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => 1,
		),
		array(
			'key' => 'field_5b074f7dc16b1',
			'label' => 'Separador decimal',
			'name' => 'decimal_separator',
			'type' => 'text',
			'instructions' => 'Isto define o simbolo exibido na casa decimal nos preços',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => ',',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => 1,
		),
		array(
			'key' => 'field_5b075021c16b2',
			'label' => 'Número de casas decimais',
			'name' => 'number_decimal_places',
			'type' => 'number',
			'instructions' => 'Isto define o número de casas decimais mostrado nos preços',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 2,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-configurar-moeda',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5cb419d759953',
	'title' => 'Título e Subtítulo',
	'fields' => array(
		array(
			'key' => 'field_5cb41d4038656',
			'label' => 'Título e subtítulo personalizado',
			'name' => 'show_custom_title_and_subtitle',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Habilitar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Sim',
			'ui_off_text' => 'Não',
		),
		array(
			'key' => 'field_5cb41a270f8a5',
			'label' => 'Título',
			'name' => 'custom_page_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cb41d4038656',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Dígite o título',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5cb41aef0f8a6',
			'label' => 'Subtítulo opcional',
			'name' => 'custom_page_subtitle',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cb41d4038656',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Dígite o subtítulo',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
			array(
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'default',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_56fbb9e6b4d06',
	'title' => 'Relevância do imóvel',
	'fields' => array(
		array(
			'key' => 'field_56fbba171fcfe',
			'label' => 'Relevância',
			'name' => 'relevance',
			'type' => 'select',
			'instructions' => 'Selecione a relevância do imóvel.',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				1 => 'Maior relevância',
				2 => 'Menor relevância',
			),
			'default_value' => array(
				0 => 2,
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => 1,
	'position' => 'side',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'excerpt',
		1 => 'custom_fields',
		2 => 'discussion',
		3 => 'comments',
		4 => 'revisions',
		5 => 'slug',
		6 => 'format',
		7 => 'page_attributes',
		8 => 'featured_image',
		9 => 'categories',
		10 => 'tags',
		11 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5955028ff224b',
	'title' => 'Características do imóvel',
	'fields' => array(
		array(
			'key' => 'field_5955029f223f9',
			'label' => 'Marque as características do imóvel',
			'name' => 'pro_property_features',
			'type' => 'taxonomy',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'property_feature',
			'field_type' => 'checkbox',
			'allow_null' => 0,
			'add_term' => 0,
			'save_terms' => 1,
			'load_terms' => 1,
			'return_format' => 'object',
			'multiple' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'side',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array(
		0 => 'excerpt',
		1 => 'custom_fields',
		2 => 'discussion',
		3 => 'comments',
		4 => 'revisions',
		5 => 'slug',
		6 => 'format',
		7 => 'page_attributes',
		8 => 'featured_image',
		9 => 'categories',
		10 => 'tags',
		11 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

endif;