<?php
	$whatsapp_show_floating_box = get_field('enable_chat_whatsapp', 'option');
	if ($whatsapp_show_floating_box == 1 ) {
add_action('wp_enqueue_scripts', 'wpwhatsappplugin_front_enqueue_scripts');

function wpwhatsappplugin_front_enqueue_scripts() {
	wp_enqueue_style('wp-whatsapp-chat-front-style', get_template_directory_uri() . '/includes/css/wp-whatsapp-chat-front-css.css', false, filemtime( get_stylesheet_directory() . '/includes/css/wp-whatsapp-chat-front-css.css' ), null);
}

function add_wp_whatsapp_chat_box() {
		$screen_position = get_field('screen_position_buton_whatsapp', 'option');
		$screenPosition = $screen_position === 'positionLeft' ? "style='left:15px!important;'" : '';
		$whatsapp_phone_number = get_field('chat_number_whatsapp', 'option');
		$whatsapp_box_text = get_field('chat_top_whatsapp', 'option');
		$whatsapp_default_text = get_field('chat_box_whatsapp', 'option');
		$whatsapp_send_button = get_field('chat_buton_whatsapp', 'option');
		$whatsapp_mobile = get_field('show_buton_whatsapp', 'option');
		?>
		<?php if($whatsapp_phone_number): ?>
			<script>
				(function($) {
					'use strict';
					$(document).ready(function() {
						var mobileDetect = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
						if (mobileDetect) {
							$('.wp-whatsapp-chat-container').css('display','none');
							$('.wp-whatsapp-chat-box').on('click', function(){
								window.location = 'whatsapp://send?text=&phone=<?php echo esc_attr($whatsapp_phone_number); ?>&abid=<?php echo esc_attr($whatsapp_phone_number); ?>';
							});
						} else {
							$('.wp-whatsapp-chat-box, .wp-whatsapp-chat-overlay').on('click', function(){
								if ($('.wp-whatsapp-chat-box').hasClass('open')) {
									$('.wp-whatsapp-chat-box, .wp-whatsapp-chat-container, .wp-whatsapp-chat-overlay').removeClass('open');
								} else {
									$('.wp-whatsapp-chat-box, .wp-whatsapp-chat-container, .wp-whatsapp-chat-overlay').addClass('open');
									$('.wp-whatsapp-chat-container .wp-whatsapp-inner .wp-whatsapp-input').focus();
								}
							});
							$('.wp-whatsapp-chat-container .wp-whatsapp-send').click(function() {
								var baseUrl = 'https://web.whatsapp.com/send?phone=<?php echo esc_attr($whatsapp_phone_number); ?>&text=';
								var textEncode = encodeURIComponent($('.wp-whatsapp-chat-container .wp-whatsapp-input').val());
								window.open(baseUrl + textEncode, '_blank');
							});
						}
					});
				})(jQuery);
			</script>
     <div class="wp-whatsapp-chat-overlay"></div>
	<div class="wp-whatsapp-chat-box <?php echo esc_attr($whatsapp_mobile); ?>" <?php echo $screenPosition; ?>>
	<svg id="whatsapp-msng-icon" data-name="whatsapp icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 800 800"><path d="M519 454c4 2 7 10-1 31-6 16-33 29-49 29-96 0-189-113-189-167 0-26 9-39 18-48 8-9 14-10 18-10h12c4 0 9 0 13 10l19 44c5 11-9 25-15 31-3 3-6 7-2 13 25 39 41 51 81 71 6 3 10 1 13-2l19-24c5-6 9-4 13-2zM401 200c-110 0-199 90-199 199 0 68 35 113 35 113l-20 74 76-20s42 32 108 32c110 0 199-89 199-199 0-111-89-199-199-199zm0-40c133 0 239 108 239 239 0 132-108 239-239 239-67 0-114-29-114-29l-127 33 34-124s-32-49-32-119c0-131 108-239 239-239z" transform="scale(1.2, 1.2), translate(-65 -65)" style="fill:#ffffff"/></svg>
	<svg id="close-icon" data-name="close icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 39.98 39.99"><path d="M48.88,11.14a3.87,3.87,0,0,0-5.44,0L30,24.58,16.58,11.14a3.84,3.84,0,1,0-5.44,5.44L24.58,30,11.14,43.45a3.87,3.87,0,0,0,0,5.44,3.84,3.84,0,0,0,5.44,0L30,35.45,43.45,48.88a3.84,3.84,0,0,0,5.44,0,3.87,3.87,0,0,0,0-5.44L35.45,30,48.88,16.58A3.87,3.87,0,0,0,48.88,11.14Z" transform="translate(-10.02 -10.02)" style="fill:#ffffff"/></svg>
	</div>
	<div class="wp-whatsapp-chat-container whatsapp-cha-style <?php echo esc_attr($whatsapp_mobile); ?>" <?php echo $screenPosition; ?>>
	<div class="wp-whatsapp-chat-top-header"><span><?php echo esc_html($whatsapp_box_text); ?></span></div>
	<div class="wp-whatsapp-inner">
	<div class="wp-whatsapp-placeholder"><?php echo esc_attr($whatsapp_default_text); ?></div>
	<input type="text" class="wp-whatsapp-input" placeholder="Digite aqui..." />
	<div class="wp-whatsapp-to-send">
	<div class="wp-whatsapp-send"><svg version="1.1" id="whatsapp-msng-icon-send" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="12px" viewBox="0 0 14 26" enable-background="new 0 0 14 26" xml:space="preserve"> <path d="M1,0c0.256,0,0.512,0.098,0.707,0.293l12,12c0.391,0.391,0.391,1.023,0,1.414l-12,12c-0.391,0.391-1.023,0.391-1.414,0s-0.391-1.023,0-1.414L11.586,13L0.293,1.707c-0.391-0.391-0.391-1.023,0-1.414C0.488,0.098,0.744,0,1,0z" style="fill: none; stroke-width:3; stroke: #ffffff"/></svg></div>
	</div>
	</div>
	</div>
	<?php endif; ?>
	<?php
	}
add_action('wp_footer', 'add_wp_whatsapp_chat_box');
	  }