<?php
ob_start();
/*
 *
 * Template Name: Página lista favoritos
 *
 */
get_header();
?>
<!--CONTEÚDO-->
<section class="container">
    <div class="content grid cs-style-3">
        <header class="main_imov_title">
            <h2 class="bg-custom-btn-rent radius al-center boxshadow textshadow">Favoritos</h2>
        </header>

        <?php
        $favorites = filter_input(INPUT_COOKIE, 'favorites', FILTER_DEFAULT);
		$verifyFavorites = json_decode($favorites);
        if (!empty($verifyFavorites)) : // This is important: if an empty array is passed into the WP_Query parameters, all posts will be returned
            $favorites = json_decode($favorites);
            $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1; // If you want to include pagination
            $favorites_query = new WP_Query(array(
                'post_type' => 'post', // If you have multiple post types, pass an array
                'posts_per_page' => 6,
                'ignore_sticky_posts' => true,
                'post__in' => $favorites,
                'paged' => $paged // If you want to include pagination, and have a specific posts_per_page set
            ));
            if ($favorites_query->have_posts()) :

                while ($favorites_query->have_posts()) : $favorites_query->the_post();

                    $post_id = $favorites_query->post->ID;
                    ?>
                    <article class="main_imov_item" id="<?php echo $post_id; ?>">
                        <?php
                        $imgDestaqueArray = get_field('image_de_destaque');
                        $imageAlt = $imgDestaqueArray['alt']; // Grab, from the array, the 'alt'
                        $imageThumbURL = $imgDestaqueArray['sizes'];
                            ?>
                            <div class="thumb property-mask"> 
                                <?php
                                $featured_property = get_field('relevance');
                                if ($featured_property == 1):
                                    ?>
                                    <div class="featured-ribbon"><i class="fa fa-star" title="Destaque"></i></div>
                                <?php endif; ?>
                                <div class="himage">
									<?php
									$checkStatus = get_field('property_status');
									$status = get_field('condition_property');
									if(!empty($checkStatus)){ ?>
									<span class="status_red"><?php echo $checkStatus; ?></span>
									<?php } ?>
									<?php if (!empty($status)){ ?>
									<span class="status"><?php echo $status; ?></span>
									<?php } ?>
                                    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
									<?php if(!empty($imgDestaqueArray)){ ?>
									<picture>
									<source media="(min-width: 1024px)" srcset="<?php echo $imageThumbURL['pro-thumb-404-242']; ?>"/>
									<source media="(min-width: 540px)" srcset="<?php echo $imageThumbURL['pro-thumb-600-450']; ?>"/>
									<source media="(min-width: 1px)" srcset="<?php echo $imageThumbURL['pro-thumb-480-380']; ?>"/>
									<img  src="<?php echo $imageThumbURL['pro-thumb-600-450']; ?> " alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" />
									</picture>
									<?php }else{ ?>
									<picture alt="<?php the_title(); ?>">
									<source media="(min-width: 1024px)" srcset="<?php echo pro_custom_no_img(442, 280); ?>"/>
									<source media="(min-width: 540px)" srcset="<?php echo pro_custom_no_img(600, 450); ?>"/>
									<source media="(min-width: 1px)" srcset="<?php echo pro_custom_no_img( 480, 380); ?>"/>                  
									<img src="<?php echo pro_custom_no_img(600, 450); ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>"/>
									</picture>
									<?php } ?>
                                    </a>
                                    <span class="figcaption"> 
                                        <a class="hand_pointer" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                                            <i class="fa fa-hand-pointer-o"></i>
                                        </a>
                                    </span>
						<p class="property-price">	
						<?php
						$currency = get_field('pro_currency', 'option');
						$thousands_separator = get_field('thousands_separator', 'option');
						$decimal_separator = get_field('decimal_separator', 'option');
						$number_decimal_places = get_field('number_decimal_places', 'option');
						$currency_position = get_field('currency_position', 'option');
						$valor = get_field('valor');
						$getCurrency = !empty($currency) ? $currency : 'R$';
						$getThousandsSeparator = !empty($thousands_separator) ? $thousands_separator : '.';
						$getDecimalSeparator = !empty($decimal_separator) ? $decimal_separator : ',';
						$getNumberDecimal = !empty($number_decimal_places) ? $number_decimal_places : 2;
						if (!empty($valor)){
						?>
						<?php if(!empty($currency_position) && $currency_position === 'left') : ?>
						<span class="cat-price"> <?php _e($getCurrency , 'proimovel'); ?><?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?></span>
						<?php elseif(!empty($currency_position) && $currency_position === 'right') : ?>
						<span class="cat-price"> <?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?><?php _e($getCurrency , 'proimovel'); ?></span>
						<?php elseif(!empty($currency_position) && $currency_position === 'left_space') : ?>
						<span class="cat-price"> <?php _e($getCurrency , 'proimovel'); ?> <?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?></span>
						<?php elseif(!empty($currency_position) && $currency_position === 'right_space') : ?>
						<span class="cat-price"> <?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?> <?php _e($getCurrency , 'proimovel'); ?></span>
						<?php else: ?>
						<span class="cat-price"> <?php _e($getCurrency , 'proimovel'); ?> <?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?></span>
						<?php endif; ?>
						<span class="picon"><i class="fa fa-tag"></i></span>
						<?php }else{ ?>
						<span class="cat-price"><strong><?php _e('Valor', 'proimovel'); ?></strong> <?php _e('sob consulta', 'proimovel'); ?></span>
						<span class="picon"><i class="fa fa-tag"></i></span>
						<?php } ?>
						</p>	
						<?php
						$transaction = get_field('type_business_property');
						if (!empty($transaction)):
							?>
							<p class="property_business">
								<span class="property_business_title"><?php echo $transaction->name; ?></span>
							</p>
						<?php endif; ?>
                                </div>
                            </div>
                        <div class="property-info">
                            <?php
                            $total_area = get_field('total_area');
                            if (!empty($total_area)):
                                ?>
                                <span><i class="fa fa-arrows-alt"></i> Área total <?php echo $total_area; ?>m²</span>	
                                <?php
                            endif;
                            $bedroom = get_field('bedroom');
                            if (!empty($bedroom)):
                                ?>					  
                                <span><i class="fa fa-bed"></i> <?php echo ($bedroom > 1) ? $bedroom . ' Quartos' : $bedroom . ' Quarto'; ?></span>	
                                <?php
                            endif;
                            $bathroom = get_field('bathroom');
                            if (!empty($bathroom)):
                                ?>						  
                                <span><i class="fa fa-male"></i> <?php echo ($bathroom > 1) ? $bathroom . ' Banheiros' : $bathroom . ' Banheiro'; ?></span>
                                <?php
                            endif;
                            $garage = get_field('garage');
                            if (!empty($garage)):
                                ?>
                                <span><i class="fa fa-car"></i> <?php echo ($garage > 1) ? $garage . ' Garagens' : $garage . ' Garagem'; ?> </span>
                            <?php endif; ?>
                        </div>
                        <div class="main_imov_item_desc">
                            <a class="property_item_desc" href="<?php the_permalink(); ?>" title="Saiba Mais"><h2><?php title_limite(35); ?></h2></a>                       
                            <p><?php content_limite(47); ?></p>
                        </div>
                        <p class="btn_favorite"><?php echo pro_get_button_favorite(); ?></p>
                    </article>
                    <!-- FIM CONTEÚDO-->
                <?php endwhile; ?>
                <div class="clear"></div>
                <div class="pagination_favorite">
                    <div class="pagination">

                        <?php pagination($favorites_query->max_num_pages, $paged); ?>
                    </div>
                </div>
                <?php
            endif;
            wp_reset_postdata(); //endif of loop 
            ?>
            <?php
        else:
            ?>
            <div class="no_result_favorite">
                <h2 class="none al-center"><?php echo 'Você não possui imóveis favoritos.<br /><br /> Para incluir imóveis clique adicionar em meus favoritos que aparecem em todos os imóveis.'; ?></h2>
            </div>
        <?php
        endif;
        ?>
    </div>
    <div class="clear"></div>
</section>
<!-- FIM CONTEÚDO -->
<?php
get_footer();
ob_end_flush();
