<?php
/**
 * The template part for displaying content
 *
 * @package WordPress
 * @subpackage Proimovel
 * @since Proimovel 1.1
 */
?>
<article class="main_imov_item">
    <?php
    $imgDestaqueArray = get_field('image_de_destaque');
    $imageThumbURL = $imgDestaqueArray['sizes'];
        ?>
        <div class="imob_thumb property-mask">
            <?php
            $featured_property = get_field('relevance');
            if ($featured_property == 1):
                ?>
                <div class="featured-ribbon"><i class="fa fa-star" title="Destaque"></i></div>
            <?php endif; ?>
            <div class="himage">
				<?php
				$checkStatus = get_field('property_status');
				$status = get_field('condition_property');
				if(!empty($checkStatus)){ ?>
				<span class="status_red"><?php echo $checkStatus; ?></span>
				<?php } ?>
				<?php if (!empty($status)){ ?>
				<span class="status"><?php echo $status; ?></span>
				<?php } ?>
                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
				<?php if(!empty($imgDestaqueArray)){ ?>
								<picture>
									<source media="(min-width: 1024px)" srcset="<?php echo $imageThumbURL['pro-thumb-442-280']; ?>"/>
									<source media="(min-width: 540px)" srcset="<?php echo $imageThumbURL['pro-thumb-600-450']; ?>"/>
									<source media="(min-width: 1px)" srcset="<?php echo $imageThumbURL['pro-thumb-480-380']; ?>"/>
									<img  src="<?php echo $imageThumbURL['pro-thumb-600-450']; ?> " alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" />
								</picture>
				<?php }else{ ?>
							<picture alt="<?php the_title(); ?>">
							<source media="(min-width: 1024px)" srcset="<?php echo pro_custom_no_img(442, 280); ?>"/>
							<source media="(min-width: 540px)" srcset="<?php echo pro_custom_no_img(600, 450); ?>"/>
							<source media="(min-width: 1px)" srcset="<?php echo pro_custom_no_img( 480, 380); ?>"/>                  
							<img src="<?php echo pro_custom_no_img(600, 450); ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>"/>
							</picture>
				<?php } ?>
                </a>
                <span class="figcaption">
                    <a  class="hand_pointer" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                        <i class="fa fa-hand-pointer-o"></i>
                    </a>
                </span>
				<p class="property-price">	
				<?php
				$currency = get_field('pro_currency', 'option');
				$thousands_separator = get_field('thousands_separator', 'option');
				$decimal_separator = get_field('decimal_separator', 'option');
				$number_decimal_places = get_field('number_decimal_places', 'option');
				$currency_position = get_field('currency_position', 'option');
				$valor = get_field('valor');
				$getCurrency = !empty($currency) ? $currency : 'R$';
				$getThousandsSeparator = !empty($thousands_separator) ? $thousands_separator : '.';
				$getDecimalSeparator = !empty($decimal_separator) ? $decimal_separator : ',';
				$getNumberDecimal = !empty($number_decimal_places) ? $number_decimal_places : 2;
				if (!empty($valor)){
				?>
				<?php if(!empty($currency_position) && $currency_position === 'left') : ?>
				<span class="cat-price"> <?php _e($getCurrency , 'proimovel'); ?><?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?></span>
				<?php elseif(!empty($currency_position) && $currency_position === 'right') : ?>
				<span class="cat-price"> <?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?><?php _e($getCurrency , 'proimovel'); ?></span>
				<?php elseif(!empty($currency_position) && $currency_position === 'left_space') : ?>
				<span class="cat-price"> <?php _e($getCurrency , 'proimovel'); ?> <?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?></span>
				<?php elseif(!empty($currency_position) && $currency_position === 'right_space') : ?>
				<span class="cat-price"> <?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?> <?php _e($getCurrency , 'proimovel'); ?></span>
				<?php else: ?>
				<span class="cat-price"> <?php _e($getCurrency , 'proimovel'); ?> <?php echo number_format($valor, $getNumberDecimal, $getDecimalSeparator, $getThousandsSeparator); ?></span>
				<?php endif; ?>
				<span class="picon"><i class="fa fa-tag"></i></span>
				<?php }else{ ?>
				<span class="cat-price"><strong><?php _e('Valor', 'proimovel'); ?></strong> <?php _e('sob consulta', 'proimovel'); ?></span>
				<span class="picon"><i class="fa fa-tag"></i></span>
				<?php } ?>
				</p>	
                <?php
                $transaction = get_field('type_business_property');
                if (!empty($transaction)):
                    ?>
                    <p class="property_business">
                        <span class="property_business_title"><?php echo $transaction->name; ?></span>
                    </p>
                <?php endif; ?>
            </div>
        </div>
    <div class="main_imob_content">
        <div class="imob_grid">
            <div class="main_imov_item_desc">  
                <h2 class="title_imob"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php title_limite(35); ?></a></h2>		
                <p><?php content_limite(220); ?></p>
            </div>  
            <div class="property-info">
                <?php
                $total_area = get_field('total_area');
                if (!empty($total_area)):
                    ?>
                    <span><i class="fa fa-expand"></i> <?php _e('Área total', 'proimovel'); ?> <?php echo $total_area; ?>m²</span>	
                    <?php
                endif;
                $bedroom = get_field('bedroom');
                if (!empty($bedroom)):
                    ?>					  
                    <span><i class="fa fa-bed"></i> <?php echo ($bedroom > 1) ? $bedroom . __(' Quartos', 'proimovel') : $bedroom . __(' Quarto', 'proimovel'); ?></span>	
                    <?php
                endif;
                $bathroom = get_field('bathroom');
                if (!empty($bathroom)):
                    ?>						  
                    <span><i class="fa fa-male"></i> <?php echo ($bathroom > 1) ? $bathroom . __(' Banheiros', 'proimovel') : $bathroom . __(' Banheiro', 'proimovel'); ?></span>
                    <?php
                endif;
                $garage = get_field('garage');
                if (!empty($garage)):
                    ?>
                    <span><i class="fa fa-car"></i> <?php echo ($garage > 1) ? $garage . __(' Vagas', 'proimovel') : $garage . __(' Vaga', 'proimovel'); ?> </span>
                <?php endif; ?>
            </div>					 
        </div>
        <div class="main_imov_item_desc desc_button">
		<h2 class="al-center show_title" style="margin:10px 0;"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php title_limite(35); ?></a></h2>	
            <p class="al-center more_info"><a class="al-center" href="<?php the_permalink(); ?>" title="<?php _e('Mais detalhes', 'proimovel'); ?>"><?php _e('Ver mais detalhes', 'proimovel'); ?></a></p>
        </div>
    </div>
</article><!-- FIM CONTEÚDO-->

